2008-07-23  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.22 released.

2006-11-14  Stephen J. Turnbull  <stephen@xemacs.org>

	* erc-dcc.el (erc-dcc-find-file,erc-log-setup-logging):
	Maintain buffer-file-name invariant.

2006-05-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.21 released.

2006-05-01  Adrian Aichner  <adrian@xemacs.org>

	* CREDITS: Full sync with upstream Version 5.1.2 $Revision:
	1.796.2.6 (current state of release_5_1_branch).
	* ChangeLog.upstream:
	* Makefile (AUTHOR_VERSION):
	* Makefile.upstream:
	* erc-autojoin.el (erc-autojoin-version):
	* erc-autojoin.el (erc-autojoin-add):
	* erc-autojoin.el (erc-autojoin-remove):
	* erc-backend.el (erc-backend-version):
	* erc-backend.el (erc-server-connect-function):
	* erc-backend.el (erc-parse-server-response):
	* erc-bbdb.el:
	* erc-bbdb.el (erc-bbdb-version):
	* erc-bbdb.el (erc-bbdb-electric-p): New.
	* erc-bbdb.el (erc-bbdb-show-entry):
	* erc-button.el:
	* erc-button.el (erc-button-version):
	* erc-button.el (erc-button-keymap):
	* erc-button.el (erc-button-next):
	* erc-button.el (erc-button-previous): New.
	* erc-ezbounce.el (erc-ezb-version):
	* erc-ezbounce.el (erc-ezb-add-session):
	* erc-identd.el:
	* erc-identd.el (erc-identd-start):
	* erc-netsplit.el (erc-netsplit-version):
	* erc-netsplit.el (erc-netsplit-regexp):
	* erc-netsplit.el (erc-netsplit-MODE):
	* erc.el:
	* erc.el (erc-version-string):
	* erc.el (erc-header-line): New.
	* erc.el (erc-cmd-QUOTE):
	* erc.el (erc-cmd-SV):
	* erc.el (erc-join-channel):
	* erc.el (erc-parse-user):
	* erc.el (erc-send-input):
	* erc.el (erc-message-target):
	* erc.el (erc-header-line-face-method): New.
	* erc.el (erc-update-mode-line-buffer):
	* erc.texi:
	* erc.texi (Concept Index):

2006-02-20  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.20 released.

2006-02-19  Adrian Aichner  <adrian@xemacs.org>

	* Full sync with upstream Version 5.1.1 $Revision: 1.796.2.3
	(current state of release_5_1_branch).
	* CREDITS:
	* ChangeLog.2001.upstream:
	* ChangeLog.2002.upstream:
	* ChangeLog.2003.upstream:
	* ChangeLog.2004.upstream:
	* ChangeLog.upstream:
	* FOR-RELEASE.upstream:
	* HISTORY:
	* Makefile:
	* Makefile (AUTHOR_VERSION): Update to Version 5.1.1 $Revision:
	1.796.2.3
	* Makefile.upstream:
	* NEWS:
	* README:
	* erc-auto.in (generate-autoloads): Removed.
	* erc-auto.in (erc-generate-autoloads): New.
	* erc-autoaway.el:
	* erc-autoaway.el (erc-autoaway-version):
	* erc-autoaway.el (erc-autoaway-possibly-set-away):
	* erc-autoaway.el (erc-autoaway-set-away):
	* erc-autojoin.el:
	* erc-autojoin.el (require):
	* erc-autojoin.el (erc-autojoin-version):
	* erc-backend.el:
	* erc-backend.el (erc-compat):
	* erc-backend.el (erc-backend-version):
	* erc-backend.el (erc-server-version): New.
	* erc-backend.el (erc-server-process-alive): New.
	* erc-backend.el (erc-process-sentinel-1):
	* erc-backend.el (erc-process-sentinel):
	* erc-backend.el (erc-decode-string-from-target):
	* erc-backend.el (erc-server-send):
	* erc-backend.el (erc-server-send-queue):
	* erc-backend.el (erc-decode-parsed-server-response):
	* erc-backend.el (define-erc-response-handler):
	* erc-backend.el (004):
	* erc-bbdb.el:
	* erc-bbdb.el (erc-bbdb-version):
	* erc-bbdb.el (erc-bbdb-elide-display):
	* erc-bbdb.el (erc-bbdb-whois):
	* erc-button.el:
	* erc-button.el (erc-fill):
	* erc-button.el (erc-button-version):
	* erc-button.el (erc-button): New.
	* erc-button.el (erc-button-nickname-face): New.
	* erc-button.el (erc-button-url-regexp):
	* erc-button.el (erc-button-alist):
	* erc-button.el (erc-button-add-nickname-buttons):
	* erc-button.el (erc-button-add-buttons-1):
	* erc-button.el (erc-button-add-button):
	* erc-button.el (erc-button-describe-symbol): New.
	* erc-button.el (erc-button-beats-to-time): New.
	* erc-chess.el:
	* erc-chess.el (erc-chess-version):
	* erc-compat.el:
	* erc-compat.el (erc-compat-version):
	* erc-compat.el (not):
	* erc-compat.el (erc-emacs-build-time): New.
	* erc-compat.el (erc-const-expr-p): New.
	* erc-compat.el (erc-list*): New.
	* erc-compat.el (erc-assert): New.
	* erc-compat.el (erc-member-if): New.
	* erc-compat.el (erc-delete-if): New.
	* erc-compat.el (erc-remove-if-not): New.
	* erc-compat.el (*erc-sym-counter*): New.
	* erc-compat.el (erc-gensym): New.
	* erc-compat.el (erc-subseq): New.
	* erc-complete.el:
	* erc-complete.el (erc-complete-version):
	* erc-complete.el (erc-nick-completion-exclude-myself):
	* erc-complete.el (erc-try-complete-nick):
	* erc-dcc.el:
	* erc-dcc.el (require):
	* erc-dcc.el (erc-dcc-version):
	* erc-dcc.el (erc-unpack-int):
	* erc-dcc.el (pcomplete/erc-mode/DCC):
	* erc-dcc.el (erc-dcc-send-filter):
	* erc-dcc.el (erc-dcc-get-filter):
	* erc-dcc.el (erc-dcc-chat-parse-output):
	* erc-ezbounce.el:
	* erc-ezbounce.el (require):
	* erc-ezbounce.el (erc-ezb-version):
	* erc-fill.el:
	* erc-fill.el (erc-fill-version):
	* erc-fill.el (erc-fill-static):
	* erc-fill.el (erc-restore-text-properties):
	* erc-goodies.el:
	* erc-ibuffer.el:
	* erc-ibuffer.el (ibuf-ext):
	* erc-ibuffer.el (erc-ibuffer-version):
	* erc-ibuffer.el (erc-ibuffer-dangerous-host-char):
	* erc-ibuffer.el (erc-server): New.
	* erc-ibuffer.el (erc-modified): New.
	* erc-ibuffer.el (erc-server-name): New.
	* erc-ibuffer.el (erc-target): New.
	* erc-ibuffer.el (erc-topic): New.
	* erc-ibuffer.el (erc-members):
	* erc-ibuffer.el (erc-away): New.
	* erc-ibuffer.el (erc-op):
	* erc-ibuffer.el (erc-voice): New.
	* erc-ibuffer.el (erc-channel-modes): New.
	* erc-ibuffer.el (erc-nick): New.
	* erc-ibuffer.el (erc-ibuffer-formats):
	* erc-identd.el:
	* erc-identd.el (erc-identd-start):
	* erc-imenu.el:
	* erc-imenu.el (erc-imenu-version):
	* erc-lang.el:
	* erc-list.el:
	* erc-list.el (require):
	* erc-list.el (erc-list-version):
	* erc-log.el:
	* erc-log.el (require):
	* erc-log.el (erc-log-version):
	* erc-log.el (erc-log-setup-logging):
	* erc-match.el:
	* erc-match.el (require):
	* erc-match.el (erc-match-version):
	* erc-match.el (match):
	* erc-match.el (erc-log-matches):
	* erc-menu.el:
	* erc-menu.el (erc-menu-version):
	* erc-nets.el:
	* erc-nets.el (require):
	* erc-nets.el (erc-nets-version):
	* erc-nets.el (erc-server-select):
	* erc-netsplit.el:
	* erc-netsplit.el (require):
	* erc-netsplit.el (erc-netsplit-version):
	* erc-nicklist.el:
	* erc-nicklist.el (require):
	* erc-nicklist.el (erc-nicklist-version):
	* erc-nicklist.el (erc-nicklist-buffer-name):
	* erc-nicklist.el (erc-nicklist-bitlbee-connected-p): Removed.
	* erc-nicklist.el (erc-nicklist-insert-medium-name-or-icon):
	* erc-nicklist.el (erc-nicklist-search-for-nick):
	* erc-nicklist.el (erc-nicklist-insert-contents):
	* erc-nicklist.el (erc-nicklist-menu):
	* erc-nicklist.el (erc-nicklist-channel-users-info):
	* erc-nickserv.el:
	* erc-nickserv.el (require):
	* erc-nickserv.el (erc-nickserv-version):
	* erc-notify.el:
	* erc-notify.el (require):
	* erc-notify.el (erc-notify-QUIT):
	* erc-page.el:
	* erc-pcomplete.el:
	* erc-pcomplete.el (require):
	* erc-pcomplete.el (erc-pcomplete-version):
	* erc-pcomplete.el (pcomplete-parse-erc-arguments):
	* erc-replace.el:
	* erc-replace.el (erc-replace-version):
	* erc-ring.el:
	* erc-ring.el (erc-ring-version):
	* erc-ring.el (erc-previous-command):
	* erc-sound.el:
	* erc-speak.el:
	* erc-speak.el (erc-speak-filter-timestamp):
	* erc-speak.el (erc-speak-acronym-replace):
	* erc-speak.el (erc-speak-smiley-replace):
	* erc-speak.el (erc-speak-region):
	* erc-speedbar.el:
	* erc-speedbar.el (require):
	* erc-speedbar.el (erc-speedbar-version):
	* erc-speedbar.el (erc-speedbar-buttons):
	* erc-speedbar.el (erc-speedbar-expand-channel):
	* erc-speedbar.el (erc-speedbar-goto-buffer):
	* erc-spelling.el:
	* erc-spelling.el (erc-spelling-version):
	* erc-spelling.el (spelling):
	* erc-spelling.el (erc-spelling-dictionaries):
	* erc-spelling.el (erc-spelling-init):
	* erc-spelling.el (erc-spelling-unhighlight-word): New.
	* erc-spelling.el (erc-spelling-flyspell-verify):
	* erc-stamp.el:
	* erc-stamp.el (erc-stamp-version):
	* erc-stamp.el (erc-timestamp-last-inserted):
	* erc-stamp.el (erc-insert-timestamp-left): Removed.
	* erc-stamp.el (erc-timestamp-use-align-to): New.
	* erc-stamp.el (erc-insert-aligned): New.
	* erc-stamp.el (erc-insert-timestamp-right):
	* erc-track.el:
	* erc-track.el (require):
	* erc-track.el (erc-track-version):
	* erc-track.el (erc-track-use-faces):
	* erc-track.el (erc-track-faces-priority-list):
	* erc-track.el (erc-track-priority-faces-only):
	* erc-track.el (erc-track-showcount): New.
	* erc-track.el (erc-track-showcount-string): New.
	* erc-track.el (erc-track-switch-from-erc): New.
	* erc-track.el (erc-track-switch-direction): New.
	* erc-track.el (erc-track-remove-from-mode-line):
	* erc-track.el (and):
	* erc-track.el (erc-track-modified-channels):
	* erc-track.el (let):
	* erc-track.el (erc-find-parsed-property):
	* erc-track.el (erc-track-last-non-erc-buffer):
	* erc-track.el (erc-track-sort-by-activest):
	* erc-track.el (erc-track-get-active-buffer):
	* erc-track.el (erc-track-switch-buffer):
	* erc-truncate.el:
	* erc-truncate.el (erc-max-buffer-size):
	* erc-viper.el:
	* erc-viper.el (assoc):
	* erc-xdcc.el:
	* erc.el:
	* erc.el (erc-version-string):
	* erc.el (require):
	* erc.el (fboundp):
	* erc.el (erc-remove-channel-users):
	* erc.el (erc-get-server-nickname-list):
	* erc.el (erc-get-server-nickname-alist):
	* erc.el (erc-input-marker): New.
	* erc.el (erc-flood-protect):
	* erc.el (erc-mode-map):
	* erc.el (erc-once-with-server-event):
	* erc.el (erc-once-with-server-event-global):
	* erc.el (erc-with-buffer):
	* erc.el (erc-with-all-buffers-of-server):
	* erc.el (erc-iswitchb):
	* erc.el (erc-modules):
	* erc.el (erc-update-modules):
	* erc.el (erc):
	* erc.el (erc-already-logged-in):
	* erc.el (erc-get-arglist):
	* erc.el (erc-cmd-SAY):
	* erc.el (erc-cmd-QUIT):
	* erc.el (erc-cmd-GQUIT):
	* erc.el (erc-display-prompt):
	* erc.el (erc-bol):
	* erc.el (erc-banlist-update):
	* erc.el (erc-group-list):
	* erc.el (erc-user-input):
	* erc.el (erc-command-symbol): New.
	* erc.el (erc-toggle-flood-control):
	* erc.el (erc-update-mode-line-buffer):
	* erc.el (erc-format-message):
	* erc.el (erc-kill-server):
	* erc.el (erc-process-alive): Removed.
	* erc.el (erc-kill-channel):

2005-10-21  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.19 released.

2005-10-21  Adrian Aichner  <adrian@xemacs.org>

	* Full sync with upstream revision 1.776.
	* ChangeLog.upstream:
	* Makefile (AUTHOR_VERSION):
	* erc-compat.el:
	* erc-compat.el (erc-compat-version):
	* erc-compat.el (erc-make-obsolete): New.
	* erc-compat.el (erc-make-obsolete-variable): New.
	* erc-match.el:
	* erc-match.el (erc-match-version):
	* erc-match.el (erc-current-nick-highlight-type):
	* erc-match.el (erc-beep-match-types): New.
	* erc-match.el (erc-beep-on-match): New.
	* erc-nets.el:
	* erc-nets.el (erc-nets-version):
	* erc-nets.el (erc-current-network):
	* erc.el:
	* erc.el (erc-version-string):
	* erc.el (fboundp):
	* erc.el (erc-send-command):

2005-10-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.18 released.

2005-10-15  Adrian Aichner  <adrian@xemacs.org>

	* Full sync with upstream revision 1.774.
	* AUTHORS: 
	* CREDITS:
	* ChangeLog.2002.upstream:
	* ChangeLog.2004.upstream:
	* ChangeLog.upstream:
	* Makefile (AUTHOR_VERSION):
	* Makefile.upstream:
	* NEWS:
	* erc-autoaway.el:
	* erc-autoaway.el (erc-autoaway-version):
	* erc-autoaway.el (defvar):
	* erc-autoaway.el (erc-autoaway-message):
	* erc-autojoin.el:
	* erc-autojoin.el (erc-autojoin-version):
	* erc-autojoin.el (erc-autojoin-channels):
	* erc-autojoin.el (erc-autojoin-add):
	* erc-autojoin.el (erc-autojoin-remove):
	* erc-backend.el:
	* erc-backend.el (erc-server-current-nick): New.
	* erc-backend.el (erc-server-process): New.
	* erc-backend.el (erc-session-server): New.
	* erc-backend.el (erc-session-port): New.
	* erc-backend.el (erc-server-announced-name): New.
	* erc-backend.el (erc-server-parameters): New.
	* erc-backend.el (erc-server-connected): New.
	* erc-backend.el (erc-server-quitting): New.
	* erc-backend.el (erc-server-lines-sent): New.
	* erc-backend.el (erc-server-last-peers): New.
	* erc-backend.el (erc-server-last-sent-time): New.
	* erc-backend.el (erc-server-last-ping-time): New.
	* erc-backend.el (erc-server-lag): New.
	* erc-backend.el (erc-server-filter-data): New.
	* erc-backend.el (erc-server-duplicates): New.
	* erc-backend.el (erc-server-processing-p): New.
	* erc-backend.el (erc-server-flood-last-message): New.
	* erc-backend.el (erc-server-flood-queue): New.
	* erc-backend.el (erc-server-flood-timer): New.
	* erc-backend.el (erc-server): New.
	* erc-backend.el (erc-server-auto-reconnect): New.
	* erc-backend.el (erc-split-line-length): New.
	* erc-backend.el (erc-server-coding-system): New.
	* erc-backend.el (erc-encoding-coding-alist): New.
	* erc-backend.el (erc-server-connect-function): New.
	* erc-backend.el (erc-server-prevent-duplicates): New.
	* erc-backend.el (erc-server-duplicate-timeout): New.
	* erc-backend.el (erc-server-flood-margin): New.
	* erc-backend.el (erc-server-flood-penalty): New.
	* erc-backend.el (erc-server-send-ping-interval): New.
	* erc-backend.el (erc-server-ping-handler): New.
	* erc-backend.el (erc-split-line): New.
	* erc-backend.el (erc-upcase-first-word): New.
	* erc-backend.el (erc-server-setup-periodical-server-ping): New.
	* erc-backend.el (erc-server-connect): New.
	* erc-backend.el (erc-server-filter-function): New.
	* erc-backend.el (erc-process-sentinel-1): New.
	* erc-backend.el (erc-process-sentinel): New.
	* erc-backend.el (erc-coding-system-for-target): New.
	* erc-backend.el (erc-decode-string-from-target): New.
	* erc-backend.el (erc-send-line): New.
	* erc-backend.el (erc-server-send): New.
	* erc-backend.el (erc-server-send-queue): New.
	* erc-backend.el (erc-message): New.
	* erc-backend.el (erc-send-ctcp-message): New.
	* erc-backend.el (erc-send-ctcp-notice): New.
	* erc-backend.el (erc-decode-parsed-server-response):
	* erc-backend.el (erc-handle-parsed-server-response):
	* erc-backend.el (erc-handle-unknown-server-response):
	* erc-backend.el (INVITE):
	* erc-backend.el (JOIN):
	* erc-backend.el (PING):
	* erc-backend.el (PONG):
	* erc-backend.el (PRIVMSG):
	* erc-backend.el (001):
	* erc-backend.el (MOTD):
	* erc-backend.el (004):
	* erc-backend.el (252):
	* erc-backend.el (321):
	* erc-backend.el (322):
	* erc-backend.el (352):
	* erc-backend.el (401):
	* erc-bbdb.el:
	* erc-bbdb.el (erc-bbdb-version):
	* erc-bbdb.el (erc-bbdb-irc-highlight-field):
	* erc-bbdb.el (erc-bbdb-bitlbee-name-field): New.
	* erc-bbdb.el (erc-bbdb-search-name-and-create):
	* erc-bbdb.el (erc-bbdb-insinuate-and-show-entry):
	* erc-bbdb.el (erc-bbdb-whois):
	* erc-bbdb.el (erc-bbdb-JOIN):
	* erc-bbdb.el (erc-bbdb-NICK):
	* erc-button.el:
	* erc-button.el (erc-button-version):
	* erc-chess.el:
	* erc-chess.el (erc-chess-version):
	* erc-chess.el (erc-chess-handler):
	* erc-chess.el (erc-chess-engine-create):
	* erc-compat.el:
	* erc-compat.el (erc-compat-version):
	* erc-compat.el (not):
	* erc-compat.el (erc-view-mode-enter):
	* erc-compat.el ('erc-view-mode-enter): New.
	* erc-complete.el:
	* erc-complete.el (erc-complete-version):
	* erc-complete.el (erc-nick-completion-exclude-myself):
	* erc-complete.el (erc-try-complete-nick):
	* erc-dcc.el:
	* erc-dcc.el (erc-dcc-version):
	* erc-dcc.el (erc-dcc-host):
	* erc-dcc.el (erc-cmd-DCC):
	* erc-dcc.el (erc-dcc-do-CHAT-command):
	* erc-dcc.el (erc-dcc-do-LIST-command):
	* erc-dcc.el (erc-dcc-handle-ctcp-send):
	* erc-dcc.el (erc-dcc-chat-request): New.
	* erc-dcc.el (erc-dcc-handle-ctcp-chat):
	* erc-dcc.el (erc-dcc-get-parent): New.
	* erc-dcc.el (erc-dcc-nick):
	* erc-dcc.el (erc-dcc-send-file):
	* erc-dcc.el (erc-dcc-get-file):
	* erc-dcc.el (erc-dcc-get-filter):
	* erc-dcc.el (erc-dcc-get-sentinel):
	* erc-dcc.el (erc-cmd-CREQ):
	* erc-dcc.el (erc-cmd-SREQ):
	* erc-dcc.el (erc-dcc-chat):
	* erc-dcc.el (erc-dcc-chat-setup):
	* erc-dcc.el (erc-dcc-chat-accept):
	* erc-dcc.el (erc-dcc-chat-parse-output):
	* erc-dcc.el (erc-dcc-chat-close):
	* erc-ezbounce.el:
	* erc-ezbounce.el (erc-ezb-version):
	* erc-ezbounce.el (erc-cmd-ezb):
	* erc-ezbounce.el (erc-ezb-identify):
	* erc-ezbounce.el (erc-ezb-select):
	* erc-ezbounce.el (erc-ezb-select-session):
	* erc-fill.el:
	* erc-fill.el (erc-fill-version):
	* erc-goodies.el (erc-scroll-to-bottom):
	* erc-goodies.el (erc-occur):
	* erc-ibuffer.el:
	* erc-ibuffer.el (erc-ibuffer-version):
	* erc-ibuffer.el (erc-server):
	* erc-ibuffer.el (erc-server-name):
	* erc-ibuffer.el (erc-target):
	* erc-ibuffer.el (erc-topic):
	* erc-ibuffer.el (erc-away):
	* erc-ibuffer.el (erc-channel-modes):
	* erc-identd.el:
	* erc-identd.el (erc-identd-start):
	* erc-imenu.el:
	* erc-imenu.el (erc-imenu-version):
	* erc-imenu.el (erc-unfill-notice):
	* erc-imenu.el (erc-create-imenu-index):
	* erc-lang.el:
	* erc-list.el:
	* erc-list.el (erc-list-version):
	* erc-list.el (erc-chanlist):
	* erc-list.el (erc-chanlist-highlight-line):
	* erc-list.el (erc-chanlist-toggle-sort-state):
	* erc-log.el:
	* erc-log.el (erc-log-version):
	* erc-log.el (erc-generate-log-file-name-function):
	* erc-log.el (log):
	* erc-log.el (erc-save-buffer-in-logs):
	* erc-match.el:
	* erc-match.el (erc-match-version):
	* erc-match.el (erc-text-matched-hook):
	* erc-match.el (erc-add-fool):
	* erc-match.el (erc-log-matches):
	* erc-match.el (away)): Removed.
	* erc-match.el (erc-log-matches-make-buffer):
	* erc-match.el (erc-log-matches-come-back):
	* erc-menu.el:
	* erc-menu.el (erc-menu-version):
	* erc-menu.el (erc-menu-definition):
	* erc-menu.el ("erc"):
	* erc-nets.el:
	* erc-nets.el (erc-nets-version):
	* erc-nets.el (erc-networks-alist):
	* erc-nets.el (erc-determine-network):
	* erc-nets.el (nil):
	* erc-nets.el (erc-set-network-name):
	* erc-nets.el (erc-nets):
	* erc-netsplit.el:
	* erc-netsplit.el (erc-netsplit-version):
	* erc-nicklist.el:
	* erc-nicklist.el (nil):
	* erc-nicklist.el (erc-nicklist-version):
	* erc-nicklist.el (erc-nicklist-use-icons): New.
	* erc-nicklist.el (erc-nicklist-icons-directory): New.
	* erc-nicklist.el (erc-nicklist-voiced-position): New.
	* erc-nicklist.el (erc-nicklist-bitlbee-connected-p): New.
	* erc-nicklist.el (erc-nicklist-images-alist): New.
	* erc-nicklist.el (erc-nicklist-insert-medium-name-or-icon): New.
	* erc-nicklist.el (erc-nicklist-search-for-nick): New.
	* erc-nicklist.el (erc-nicklist-insert-contents): New.
	* erc-nicklist.el (erc-nicklist-update):
	* erc-nicklist.el (erc-nicklist-mode-map):
	* erc-nicklist.el (erc-nicklist-call-erc-command):
	* erc-nicklist.el (erc-nicklist-cmd-QUERY): New.
	* erc-nicklist.el (erc-nicklist-kbd-cmd-QUERY): New.
	* erc-nicklist.el (erc-nicklist-menu):
	* erc-nicklist.el (erc-nicklist-kbd-menu): New.
	* erc-nicklist.el (erc-nicklist-channel-nicks): Removed.
	* erc-nicklist.el (erc-nicklist-channel-users-info): New.
	* erc-nickserv.el:
	* erc-nickserv.el (erc-nickserv-version):
	* erc-nickserv.el (erc-nickserv-alist):
	* erc-nickserv.el (erc-nickserv-call-identify-function):
	* erc-notify.el:
	* erc-notify.el (erc-notify-list):
	* erc-notify.el (erc-notify-timer):
	* erc-notify.el (erc-notify-JOIN):
	* erc-notify.el (erc-notify-NICK):
	* erc-notify.el (erc-notify-QUIT):
	* erc-notify.el (erc-cmd-NOTIFY):
	* erc-page.el:
	* erc-page.el (erc-ctcp-query-PAGE):
	* erc-page.el (erc-cmd-PAGE):
	* erc-pcomplete.el:
	* erc-pcomplete.el (erc-pcomplete-version):
	* erc-pcomplete.el (pcomplete-erc-all-nicks):
	* erc-pcomplete.el (pcomplete-erc-channels):
	* erc-ring.el:
	* erc-ring.el (erc-ring-version):
	* erc-sound.el:
	* erc-speedbar.el:
	* erc-speedbar.el (erc-speedbar-version):
	* erc-speedbar.el (erc-speedbar-buttons):
	* erc-speedbar.el (erc-speedbar-server-buttons):
	* erc-speedbar.el (erc-speedbar-channel-buttons):
	* erc-speedbar.el (erc-speedbar-expand-channel):
	* erc-spelling.el:
	* erc-spelling.el (erc-spelling-version):
	* erc-spelling.el (erc-spelling-dictionaries): Removed.
	* erc-stamp.el:
	* erc-stamp.el (erc-stamp-version):
	* erc-stamp.el (erc-add-timestamp):
	* erc-stamp.el (erc-format-timestamp):
	* erc-track.el:
	* erc-track.el (erc-track-version):
	* erc-track.el (erc-track-visibility):
	* erc-track.el (track):
	* erc-track.el (erc-modified-channels-update):
	* erc-track.el (erc-track-modified-channels):
	* erc-track.el (erc-track-switch-direction):
	* erc-track.el (erc-track-sort-by-activest):
	* erc-truncate.el:
	* erc-viper.el:
	* erc-xdcc.el:
	* erc.el:
	* erc.el (erc-version-string):
	* erc.el (erc-menu):
	* erc.el (erc-display):
	* erc.el (erc-coding-systems): Removed.
	* erc.el (erc-backend):
	* erc.el ('erc-send-command): New.
	* erc.el (erc-session-password):
	* erc.el (erc-session-server): Removed.
	* erc.el (erc-disconnected-hook):
	* erc.el (erc-session-port): Removed.
	* erc.el (erc-announced-server-name): Removed.
	* erc.el (erc-server-parameters): Removed.
	* erc.el (erc-process): Removed.
	* erc.el (erc-connected): Removed.
	* erc.el (erc-server-user):
	* erc.el (erc-channel-user):
	* erc.el (erc-get-server-user):
	* erc.el (erc-add-server-user):
	* erc.el (erc-remove-server-user):
	* erc.el (erc-change-user-nickname):
	* erc.el (erc-remove-channel-users):
	* erc.el (channel-topic): Removed.
	* erc.el (erc-channel-topic): New.
	* erc.el (channel-modes): Removed.
	* erc.el (erc-channel-modes): New.
	* erc.el (erc-prompt):
	* erc.el (erc-notice-prefix):
	* erc.el (erc-prompt-for-channel-key):
	* erc.el (erc-auto-reconnect): Removed.
	* erc.el (erc-flood-protect):
	* erc.el (erc-flood-limit): Removed.
	* erc.el (erc-flood-limit2): Removed.
	* erc.el (erc-mode-map):
	* erc.el (erc-server-buffer):
	* erc.el (erc-server-buffer-live-p):
	* erc.el (erc-ison-p):
	* erc.el (erc-mode):
	* erc.el (erc-generate-new-buffer-name):
	* erc.el (erc-with-buffer):
	* erc.el (erc-buffer-filter):
	* erc.el (erc-buffer-list):
	* erc.el (erc-iswitchb):
	* erc.el (current-nick): Removed.
	* erc.el (channel-user-limit): Removed.
	* erc.el (erc-channel-user-limit): New.
	* erc.el (channel-key): Removed.
	* erc.el (erc-channel-key): New.
	* erc.el (last-peers): Removed.
	* erc.el (invitation): Removed.
	* erc.el (erc-invitation): New.
	* erc.el (away): Removed.
	* erc.el (erc-away): New.
	* erc.el (channel-list): Removed.
	* erc.el (erc-channel-list): New.
	* erc.el (last-sent-time): Removed.
	* erc.el (last-ping-time): Removed.
	* erc.el (erc-modules):
	* erc.el (last-ctcp-time): Removed.
	* erc.el (erc-lines-sent): Removed.
	* erc.el (erc-bytes-sent): Removed.
	* erc.el (quitting): Removed.
	* erc.el (bad-nick): Removed.
	* erc.el (erc-bad-nick): New.
	* erc.el (erc):
	* erc.el (erc-previous-read): Removed.
	* erc.el (erc-select-read-args):
	* erc.el (erc-select-ssl):
	* erc.el (erc-connect-function): Removed.
	* erc.el (erc-connect): Removed.
	* erc.el (erc-log-irc-protocol):
	* erc.el (erc-split-multiline): Removed.
	* erc.el (erc-toggle-debug-irc-protocol):
	* erc.el (erc-process-filter): Removed.
	* erc.el (erc-send-action):
	* erc.el (erc-process-sentinel-1): Removed.
	* erc.el (erc-display-line-1):
	* erc.el (erc-process-sentinel): Removed.
	* erc.el (erc-flood-exceeded-p): Removed.
	* erc.el (erc-send-command): Removed.
	* erc.el (erc-display-line):
	* erc.el (erc-default-coding-system): Removed.
	* erc.el (erc-encoding-coding-alist): Removed.
	* erc.el (erc-send-input-line):
	* erc.el (erc-coding-system-for-target): Removed.
	* erc.el (erc-encode-string-for-target): Removed.
	* erc.el (erc-decode-string-from-target): Removed.
	* erc.el (erc-split-command): Removed.
	* erc.el (erc-process-input-line):
	* erc.el (erc-upcase-first-word): Removed.
	* erc.el (erc-send-ctcp-message): Removed.
	* erc.el (erc-send-ctcp-notice): Removed.
	* erc.el (erc-cmd-default):
	* erc.el (erc-cmd-UNIGNORE):
	* erc.el (erc-cmd-OPS):
	* erc.el (erc-cmd-AWAY):
	* erc.el (erc-cmd-JOIN):
	* erc.el (erc-cmd-NAMES):
	* erc.el (erc-cmd-KICK):
	* erc.el (erc-cmd-WHOIS):
	* erc.el (erc-send-message):
	* erc.el (erc-message): Removed.
	* erc.el (erc-cmd-MODE):
	* erc.el (erc-cmd-NICK):
	* erc.el (erc-cmd-PART):
	* erc.el (erc-cmd-QUOTE):
	* erc.el (erc-cmd-QUIT):
	* erc.el (erc-cmd-BYE):
	* erc.el (erc-kill-queries-on-quit): Removed.
	* erc.el (erc-cmd-SV):
	* erc.el (erc-cmd-DEOP):
	* erc.el (erc-cmd-OP):
	* erc.el (erc-cmd-TIME):
	* erc.el (erc-cmd-TOPIC):
	* erc.el (erc-cmd-APPENDTOPIC):
	* erc.el (erc-cmd-CLEARTOPIC):
	* erc.el (channel-banlist): Removed.
	* erc.el (erc-channel-banlist): New.
	* erc.el (erc-cmd-BANLIST):
	* erc.el (erc-cmd-MASSUNBAN):
	* erc.el (erc-display-prompt):
	* erc.el (erc-input-message):
	* erc.el (erc-join-channel):
	* erc.el (erc-set-topic):
	* erc.el (erc-set-channel-limit):
	* erc.el (erc-set-channel-key):
	* erc.el (erc-quit-server):
	* erc.el (erc-query):
	* erc.el (erc-duplicates): Removed.
	* erc.el (erc-duplicate-timeout): Removed.
	* erc.el (erc-prevent-duplicates): Removed.
	* erc.el (erc-nickname-in-use):
	* erc.el (erc-server-hooks):
	* erc.el (erc-auto-query):
	* erc.el (erc-lag): Removed.
	* erc.el (erc-send-ping-interval): Removed.
	* erc.el (erc-ping-handler): Removed.
	* erc.el (erc-setup-periodical-server-ping): Removed.
	* erc.el (erc-echo-notice-in-user-buffers):
	* erc.el (erc-echo-notice-in-user-and-target-buffers):
	* erc.el (erc-echo-notice-in-first-user-buffer):
	* erc.el (erc-server-version): Removed.
	* erc.el (erc-banlist-store):
	* erc.el (erc-banlist-finished):
	* erc.el (erc-banlist-update):
	* erc.el (erc-connection-established):
	* erc.el (erc-set-initial-user-mode):
	* erc.el (erc-ctcp-query-FINGER):
	* erc.el (erc-process-away):
	* erc.el (erc-update-channel-topic):
	* erc.el (erc-set-modes):
	* erc.el (erc-update-modes):
	* erc.el (erc-update-channel-limit):
	* erc.el (erc-update-channel-key):
	* erc.el (erc-handle-user-status-change):
	* erc.el (erc-send-current-line):
	* erc.el (erc-send-input):
	* erc.el (erc-display-command):
	* erc.el (erc-send-single-line): Removed.
	* erc.el (erc-display-msg):
	* erc.el (erc-set-current-nick):
	* erc.el (erc-current-nick):
	* erc.el (erc-add-default-channel):
	* erc.el (erc-ignored-reply-p):
	* erc.el (with-erc-channel-buffer): Removed.
	* erc.el (erc-toggle-flood-control):
	* erc.el (erc-toggle-channel-mode):
	* erc.el (erc-login):
	* erc.el (erc-determine-parameters):
	* erc.el (erc-away-p):
	* erc.el (erc-mode-line-format):
	* erc.el (erc-format-target):
	* erc.el (erc-format-target-and/or-server):
	* erc.el (erc-format-away-status):
	* erc.el (erc-format-channel-modes):
	* erc.el (erc-update-mode-line-buffer):
	* erc.el (erc-arrange-session-in-multiple-windows):
	* erc.el (erc-process-alive):
	* erc.el (erc-kill-server):
	* erc.el (erc-kill-channel):
	* servers.pl:

2005-10-15  Adrian Aichner  <adrian@xemacs.org>

	* AUTHORS:
	* CREDITS:
	* ChangeLog.2002.upstream:
	* ChangeLog.2004.upstream:
	* ChangeLog.upstream:
	* Makefile (AUTHOR_VERSION):
	* Makefile.upstream:
	* NEWS:
	* erc-autoaway.el:
	* erc-autoaway.el (erc-autoaway-version):
	* erc-autoaway.el (defvar):
	* erc-autoaway.el (erc-autoaway-message):
	* erc-autojoin.el:
	* erc-autojoin.el (erc-autojoin-version):
	* erc-autojoin.el (erc-autojoin-channels):
	* erc-autojoin.el (erc-autojoin-add):
	* erc-autojoin.el (erc-autojoin-remove):
	* erc-backend.el:
	* erc-backend.el (erc-server-current-nick): New.
	* erc-backend.el (erc-server-process): New.
	* erc-backend.el (erc-session-server): New.
	* erc-backend.el (erc-session-port): New.
	* erc-backend.el (erc-server-announced-name): New.
	* erc-backend.el (erc-server-parameters): New.
	* erc-backend.el (erc-server-connected): New.
	* erc-backend.el (erc-server-quitting): New.
	* erc-backend.el (erc-server-lines-sent): New.
	* erc-backend.el (erc-server-last-peers): New.
	* erc-backend.el (erc-server-last-sent-time): New.
	* erc-backend.el (erc-server-last-ping-time): New.
	* erc-backend.el (erc-server-lag): New.
	* erc-backend.el (erc-server-filter-data): New.
	* erc-backend.el (erc-server-duplicates): New.
	* erc-backend.el (erc-server-processing-p): New.
	* erc-backend.el (erc-server-flood-last-message): New.
	* erc-backend.el (erc-server-flood-queue): New.
	* erc-backend.el (erc-server-flood-timer): New.
	* erc-backend.el (erc-server): New.
	* erc-backend.el (erc-server-auto-reconnect): New.
	* erc-backend.el (erc-split-line-length): New.
	* erc-backend.el (erc-server-coding-system): New.
	* erc-backend.el (erc-encoding-coding-alist): New.
	* erc-backend.el (erc-server-connect-function): New.
	* erc-backend.el (erc-server-prevent-duplicates): New.
	* erc-backend.el (erc-server-duplicate-timeout): New.
	* erc-backend.el (erc-server-flood-margin): New.
	* erc-backend.el (erc-server-flood-penalty): New.
	* erc-backend.el (erc-server-send-ping-interval): New.
	* erc-backend.el (erc-server-ping-handler): New.
	* erc-backend.el (erc-split-line): New.
	* erc-backend.el (erc-upcase-first-word): New.
	* erc-backend.el (erc-server-setup-periodical-server-ping): New.
	* erc-backend.el (erc-server-connect): New.
	* erc-backend.el (erc-server-filter-function): New.
	* erc-backend.el (erc-process-sentinel-1): New.
	* erc-backend.el (erc-process-sentinel): New.
	* erc-backend.el (erc-coding-system-for-target): New.
	* erc-backend.el (erc-decode-string-from-target): New.
	* erc-backend.el (erc-send-line): New.
	* erc-backend.el (erc-server-send): New.
	* erc-backend.el (erc-server-send-queue): New.
	* erc-backend.el (erc-message): New.
	* erc-backend.el (erc-send-ctcp-message): New.
	* erc-backend.el (erc-send-ctcp-notice): New.
	* erc-backend.el (erc-decode-parsed-server-response):
	* erc-backend.el (erc-handle-parsed-server-response):
	* erc-backend.el (erc-handle-unknown-server-response):
	* erc-backend.el (INVITE):
	* erc-backend.el (JOIN):
	* erc-backend.el (PING):
	* erc-backend.el (PONG):
	* erc-backend.el (PRIVMSG):
	* erc-backend.el (001):
	* erc-backend.el (MOTD):
	* erc-backend.el (004):
	* erc-backend.el (252):
	* erc-backend.el (321):
	* erc-backend.el (322):
	* erc-backend.el (352):
	* erc-backend.el (401):
	* erc-bbdb.el:
	* erc-bbdb.el (erc-bbdb-version):
	* erc-bbdb.el (erc-bbdb-irc-highlight-field):
	* erc-bbdb.el (erc-bbdb-bitlbee-name-field): New.
	* erc-bbdb.el (erc-bbdb-search-name-and-create):
	* erc-bbdb.el (erc-bbdb-insinuate-and-show-entry):
	* erc-bbdb.el (erc-bbdb-whois):
	* erc-bbdb.el (erc-bbdb-JOIN):
	* erc-bbdb.el (erc-bbdb-NICK):
	* erc-button.el:
	* erc-button.el (erc-button-version):
	* erc-chess.el:
	* erc-chess.el (erc-chess-version):
	* erc-chess.el (erc-chess-handler):
	* erc-chess.el (erc-chess-engine-create):
	* erc-compat.el:
	* erc-compat.el (erc-compat-version):
	* erc-compat.el (not):
	* erc-compat.el (erc-view-mode-enter):
	* erc-compat.el ('erc-view-mode-enter): New.
	* erc-complete.el:
	* erc-complete.el (erc-complete-version):
	* erc-complete.el (erc-nick-completion-exclude-myself):
	* erc-complete.el (erc-try-complete-nick):
2005-06-05  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.17 released.

2005-06-05  Adrian Aichner  <adrian@xemacs.org>

	* CREDITS: Sync erc with upstream version 1.757.
	* ChangeLog.upstream:
	* Makefile (AUTHOR_VERSION):
	* Makefile.upstream:
	* NEWS:
	* erc-autoaway.el:
	* erc-autoaway.el (erc-autoaway-version):
	* erc-autoaway.el (autoaway):
	* erc-autoaway.el (erc-autoaway-reestablish-idletimer): New.
	* erc-compat.el:
	* erc-compat.el (erc-compat-version):
	* erc-compat.el (nil):
	* erc-compat.el (erc-cancel-timer): New.
	* erc-list.el (erc-list-version):
	* erc-list.el (erc-prettify-channel-list):
	* erc-replace.el:
	* erc-replace.el (erc-replace-version):
	* erc-ring.el (erc-ring-version):
	* erc-ring.el (ring):
	* erc-ring.el (erc-input-ring-index):
	* erc-ring.el (erc-clear-input-ring):
	* erc-speak.el:
	* erc-track.el (erc-track-version):
	* erc-track.el (track):
	* erc-track.el (erc-modified-channels-update):
	* erc-track.el (erc-modified-channels-display):
	* erc-viper.el (lambda):
	* erc.el:
	* erc.el (erc-version-string):
	* erc.el (erc-official-location):
	* erc.el (erc-with-buffer):
	* erc.el (erc-with-all-buffers-of-server):
	* erc.el (erc-modules):
	* erc.el (erc-select):
	* erc.el (erc-process-sentinel):
	* erc.el (erc-cmd-BANLIST):
	* erc.el (erc-cmd-MASSUNBAN):
	* erc.el (erc-complete-word):
	* erc.el (erc-setup-periodical-server-ping):
	* erc.el (with-erc-channel-buffer):
	* erc.el (erc-load-irc-script):

2005-05-10  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.16 released.

2005-04-26  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.15 released.

2005-04-25  Adrian Aichner  <adrian@xemacs.org>

	* sync upstream bugfix for erc-log-insert-log-on-open to work with
	autojoin (Version 5.0 (CVS) Revision: 1.752).
	* ChangeLog.upstream: Sync
	* Makefile (AUTHOR_VERSION): Sync
	* erc-backend.el (erc-backend-version): Sync
	* erc-backend.el (JOIN): Bugfix
	* erc-log.el (erc-log-version): Sync
	* erc-spelling.el: Remove unnecessary require of 'ispell.
	* erc.el (erc-version-string): Sync

2005-04-11  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.14 released.

2005-04-10  Adrian Aichner  <adrian@xemacs.org>

	* Full sync with upstream Version 5.0 (CVS) Revision: 1.751.
	* AUTHORS:
	* CREDITS:
	* ChangeLog.2001.upstream:
	* ChangeLog.2002.upstream:
	* ChangeLog.2003.upstream:
	* ChangeLog.2004.upstream:
	* ChangeLog.upstream:
	* FOR-RELEASE.upstream:
	* HACKING.upstream:
	* Makefile (AUTHOR_VERSION):
	* Makefile (DATA_FILES):
	* Makefile.upstream:
	* NEWS.upstream:
	* erc-auto.in:
	* erc-autoaway.el:
	* erc-autoaway.el (erc-autoaway-version):
	* erc-autojoin.el:
	* erc-autojoin.el (erc-autojoin-version):
	* erc-backend.el:
	* erc-backend.el (erc-backend-version):
	* erc-backend.el (erc-parse-server-response):
	* erc-backend.el (erc-decode-parsed-server-response): New.
	* erc-backend.el (erc-handle-unknown-server-response):
	* erc-backend.el (define-erc-response-handler):
	* erc-backend.el (ERROR):
	* erc-backend.el (JOIN):
	* erc-backend.el (KICK):
	* erc-backend.el (MODE):
	* erc-backend.el (NICK):
	* erc-backend.el (PART):
	* erc-backend.el (PONG):
	* erc-backend.el (PRIVMSG):
	* erc-backend.el (QUIT):
	* erc-backend.el (TOPIC):
	* erc-backend.el (MOTD):
	* erc-backend.el (004):
	* erc-backend.el (303):
	* erc-backend.el (311):
	* erc-backend.el (312):
	* erc-backend.el (313):
	* erc-backend.el (317):
	* erc-backend.el (319):
	* erc-backend.el (320):
	* erc-backend.el (321):
	* erc-backend.el (322):
	* erc-backend.el (330):
	* erc-backend.el (332):
	* erc-backend.el (333):
	* erc-backend.el (352):
	* erc-backend.el (353):
	* erc-backend.el (367):
	* erc-backend.el ((367)): New.
	* erc-backend.el ((368)): New.
	* erc-backend.el (391):
	* erc-backend.el (404):
	* erc-backend.el ((404)): New.
	* erc-backend.el (474):
	* erc-backend.el ((474): Removed.
	* erc-backend.el ((474)): New.
	* erc-backend.el (475):
	* erc-backend.el ((475)): New.
	* erc-backend.el (431):
	* erc-backend.el ((367): Removed.
	* erc-backend.el ((431): New.
	* erc-bbdb.el:
	* erc-bbdb.el (erc-bbdb-version):
	* erc-bbdb.el (BBDB): Removed.
	* erc-bbdb.el (bbdb): New.
	* erc-button.el:
	* erc-button.el (erc-button-version):
	* erc-button.el (erc-button-face):
	* erc-button.el (erc-button-buttonize-nicks):
	* erc-button.el (erc-button-syntax-table):
	* erc-button.el (erc-button-remove-old-buttons):
	* erc-button.el (erc-button-add-button):
	* erc-button.el (erc-button-press-button):
	* erc-button.el (erc-nick-popup):
	* erc-chess.el:
	* erc-chess.el (erc-chess-version):
	* erc-compat.el:
	* erc-compat.el (erc-compat-version):
	* erc-compat.el (nil):
	* erc-compat.el (erc-replace-match-subexpression-in-string): New.
	* erc-complete.el:
	* erc-complete.el (erc-complete-version):
	* erc-complete.el (erc-old-complete): New.
	* erc-complete.el (erc-nick-completion):
	* erc-complete.el (erc-nick-completion-ignore-case):
	* erc-complete.el (erc-nick-completion-postfix):
	* erc-dcc.el:
	* erc-dcc.el (erc-dcc-version):
	* erc-ezbounce.el:
	* erc-ezbounce.el (erc-ezb-version):
	* erc-fill.el:
	* erc-fill.el (erc-fill-version):
	* erc-fill.el (erc-fill-variable-maximum-indentation): New.
	* erc-fill.el (erc-fill-variable):
	* erc-goodies.el:
	* erc-goodies.el (erc-input-line-position): New.
	* erc-goodies.el (scrolltobottom): New.
	* erc-goodies.el (erc-add-scroll-to-bottom): New.
	* erc-goodies.el (erc-scroll-to-bottom): New.
	* erc-goodies.el (readonly): New.
	* erc-goodies.el (erc-make-read-only): New.
	* erc-goodies.el (erc-noncommands-list): New.
	* erc-goodies.el (noncommands): New.
	* erc-goodies.el (erc-send-distinguish-noncommands): New.
	* erc-goodies.el (erc-control-characters): New.
	* erc-goodies.el (erc-interpret-controls-p): New.
	* erc-goodies.el (erc-interpret-mirc-color): New.
	* erc-goodies.el (erc-beep-p): New.
	* erc-goodies.el (erc-bold-face): New.
	* erc-goodies.el (erc-inverse-face): New.
	* erc-goodies.el (erc-underline-face): New.
	* erc-goodies.el (fg:erc-color-face0): New.
	* erc-goodies.el (fg:erc-color-face1): New.
	* erc-goodies.el (fg:erc-color-face2): New.
	* erc-goodies.el (fg:erc-color-face3): New.
	* erc-goodies.el (fg:erc-color-face4): New.
	* erc-goodies.el (fg:erc-color-face5): New.
	* erc-goodies.el (fg:erc-color-face6): New.
	* erc-goodies.el (fg:erc-color-face7): New.
	* erc-goodies.el (fg:erc-color-face8): New.
	* erc-goodies.el (fg:erc-color-face9): New.
	* erc-goodies.el (fg:erc-color-face10): New.
	* erc-goodies.el (fg:erc-color-face11): New.
	* erc-goodies.el (fg:erc-color-face12): New.
	* erc-goodies.el (fg:erc-color-face13): New.
	* erc-goodies.el (fg:erc-color-face14): New.
	* erc-goodies.el (fg:erc-color-face15): New.
	* erc-goodies.el (bg:erc-color-face0): New.
	* erc-goodies.el (bg:erc-color-face1): New.
	* erc-goodies.el (bg:erc-color-face2): New.
	* erc-goodies.el (bg:erc-color-face3): New.
	* erc-goodies.el (bg:erc-color-face4): New.
	* erc-goodies.el (bg:erc-color-face5): New.
	* erc-goodies.el (bg:erc-color-face6): New.
	* erc-goodies.el (bg:erc-color-face7): New.
	* erc-goodies.el (bg:erc-color-face8): New.
	* erc-goodies.el (bg:erc-color-face9): New.
	* erc-goodies.el (bg:erc-color-face10): New.
	* erc-goodies.el (bg:erc-color-face11): New.
	* erc-goodies.el (bg:erc-color-face12): New.
	* erc-goodies.el (bg:erc-color-face13): New.
	* erc-goodies.el (bg:erc-color-face14): New.
	* erc-goodies.el (bg:erc-color-face15): New.
	* erc-goodies.el (erc-get-bg-color-face): New.
	* erc-goodies.el (erc-get-fg-color-face): New.
	* erc-goodies.el (irccontrols): New.
	* erc-goodies.el (erc-controls-interpret): New.
	* erc-goodies.el (erc-controls-strip): New.
	* erc-goodies.el (erc-controls-remove-regexp): New.
	* erc-goodies.el (erc-controls-highlight-regexp): New.
	* erc-goodies.el (erc-controls-highlight): New.
	* erc-goodies.el (erc-controls-propertize): New.
	* erc-goodies.el (erc-toggle-interpret-controls): New.
	* erc-goodies.el (smiley): New.
	* erc-goodies.el (erc-smiley): New.
	* erc-goodies.el (unmorse): New.
	* erc-goodies.el (erc-unmorse): New.
	* erc-goodies.el (erc-occur): New.
	* erc-ibuffer.el:
	* erc-ibuffer.el (erc-ibuffer-version):
	* erc-ibuffer.el (erc-target):
	* erc-ibuffer.el (erc-topic):
	* erc-identd.el:
	* erc-imenu.el:
	* erc-imenu.el (erc-imenu-version):
	* erc-lang.el:
	* erc-list.el:
	* erc-list.el (sort):
	* erc-list.el (erc-list-version): New.
	* erc-list.el (erc-list): New.
	* erc-list.el (erc-no-list-networks):
	* erc-list.el (erc-chanlist-frame-parameters):
	* erc-list.el (erc-chanlist-hide-modeline):
	* erc-list.el (erc-chanlist-header-face):
	* erc-list.el (erc-chanlist-odd-line-face):
	* erc-list.el (erc-chanlist-even-line-face):
	* erc-list.el (erc-chanlist-highlight-face):
	* erc-list.el (erc-chanlist-highlight): New.
	* erc-list.el (erc-chanlist-channel-line-regexp):
	* erc-list.el (erc-chanlist-mode-hook):
	* erc-list.el (erc-cmd-LIST):
	* erc-list.el (erc-chanlist):
	* erc-list.el (erc-chanlist-322):
	* erc-list.el (erc-chanlist-post-command-hook):
	* erc-list.el (erc-chanlist-highlight-line):
	* erc-list.el (erc-chanlist-dehighlight-line): Removed.
	* erc-list.el (erc-prettify-channel-list):
	* erc-list.el (erc-chanlist-toggle-sort-state):
	* erc-list.el (erc-chanlist-quit):
	* erc-list.el (erc-chanlist-join-channel):
	* erc-log.el:
	* erc-log.el (erc-log-version):
	* erc-log.el (erc-current-logfile):
	* erc-log.el (erc-generate-log-file-name-with-date):
	* erc-log.el (erc-generate-log-file-name-short):
	* erc-log.el (erc-generate-log-file-name-long):
	* erc-match.el:
	* erc-match.el (erc-match-version):
	* erc-match.el (erc-match-syntax-table):
	* erc-match.el (erc-add-entry-to-list):
	* erc-match.el (erc-remove-entry-from-list):
	* erc-menu.el:
	* erc-menu.el (easymenu):
	* erc-menu.el (erc-menu-version):
	* erc-menu.el (erc-menu-definition):
	* erc-menu.el ("erc"):
	* erc-nets.el:
	* erc-nets.el (erc-nets-version):
	* erc-nets.el (erc-networks): New.
	* erc-nets.el (erc-server-alist):
	* erc-nets.el (erc-networks-alist):
	* erc-nets.el (erc-server-select):
	* erc-nets.el (erc-settings):
	* erc-netsplit.el:
	* erc-netsplit.el (erc-netsplit-version):
	* erc-netsplit.el (erc-cmd-WHOLEFT):
	* erc-nicklist.el:
	* erc-nicklist.el (erc-nicklist-version):
	* erc-nicklist.el (erc-nicklist): New.
	* erc-nicklist.el (erc-nicklist-window-size):
	* erc-nicklist.el (erc-nicklist-call-erc-command):
	* erc-nickserv.el (erc-nickserv-version):
	* erc-notify.el:
	* erc-page.el:
	* erc-page.el (erc-ctcp-query-PAGE):
	* erc-pcomplete.el:
	* erc-pcomplete.el (erc-pcomplete-version):
	* erc-pcomplete.el (erc-pcomplete): New.
	* erc-pcomplete.el (erc-pcomplete-order-nickname-completions):
	* erc-pcomplete.el (erc-pcomplete-ctcp-commands): New.
	* erc-pcomplete.el (pcomplete/erc-mode/CTCP): New.
	* erc-replace.el:
	* erc-replace.el (erc-replace-version):
	* erc-replace.el (erc-replace): New.
	* erc-replace.el (erc-replace-alist):
	* erc-ring.el:
	* erc-ring.el (erc-ring-version):
	* erc-sound.el:
	* erc-speak.el:
	* erc-speak.el (erc-speak-filter-timestamp):
	* erc-speedbar.el:
	* erc-speedbar.el (erc-speedbar-version):
	* erc-speedbar.el (erc-speedbar-expand-channel):
	* erc-spelling.el:
	* erc-spelling.el (erc-spelling-version): New.
	* erc-spelling.el (erc-spelling-dictionaries): New.
	* erc-spelling.el (spelling): New.
	* erc-spelling.el (erc-spelling-init): New.
	* erc-spelling.el (erc-spelling-flyspell-verify): New.
	* erc-stamp.el:
	* erc-stamp.el (erc-stamp-version):
	* erc-track.el:
	* erc-track.el (erc-track-version):
	* erc-track.el (erc-track-exclude-server-buffer): New.
	* erc-track.el (erc-modified-channels-string): Removed.
	* erc-track.el (erc-track-position-in-mode-line): New.
	* erc-track.el (erc-modified-channels-object): New.
	* erc-track.el (erc-track-remove-from-mode-line): New.
	* erc-track.el (erc-track-add-to-mode-line): New.
	* erc-track.el (track):
	* erc-track.el (track-when-inactive):
	* erc-track.el (erc-modified-channels-display):
	* erc-track.el (erc-track-modified-channels):
	* erc-truncate.el:
	* erc-truncate.el (erc-truncate): New.
	* erc-truncate.el (erc-truncate-buffer-to-size):
	* erc-viper.el:
	* erc-xdcc.el:
	* erc.el:
	* erc.el (erc-menu):
	* erc.el (erc-version-string):
	* erc.el (erc):
	* erc.el (erc-buffers): New.
	* erc.el (erc-coding-systems): New.
	* erc.el (erc-display): New.
	* erc.el (erc-mode-line-and-header): New.
	* erc.el (erc-ignore): New.
	* erc.el (erc-query): New.
	* erc.el (erc-quit-and-part): New.
	* erc.el (erc-paranoia): New.
	* erc.el (erc-scripts): New.
	* erc.el (erc-hide-prompt):
	* erc.el (erc-show-my-nick):
	* erc.el (erc-message-type):
	* erc.el (erc-hide-list):
	* erc.el (erc-prompt):
	* erc.el (erc-command-indicator):
	* erc.el (erc-input-line-position): Removed.
	* erc.el (erc-notice-prefix):
	* erc.el (erc-notice-highlight-type):
	* erc.el (erc-interpret-controls-p): Removed.
	* erc.el (erc-interpret-mirc-color): Removed.
	* erc.el (erc-verbose-server-ping):
	* erc.el (erc-use-info-buffers): Removed.
	* erc.el (erc-paranoid):
	* erc.el (erc-disable-ctcp-replies):
	* erc.el (erc-anonymous-login):
	* erc.el (erc-ignore-list):
	* erc.el (erc-ignore-reply-list):
	* erc.el (erc-startup-file-list):
	* erc.el (erc-script-path):
	* erc.el (erc-script-echo):
	* erc.el (erc-kill-buffer-on-part):
	* erc.el (erc-kill-queries-on-quit):
	* erc.el (erc-kill-server-buffer-on-quit):
	* erc.el (erc-quit-reason-various-alist):
	* erc.el (erc-part-reason-various-alist):
	* erc.el (erc-quit-reason):
	* erc.el (erc-part-reason):
	* erc.el (erc-send-pre-hook):
	* erc.el (erc-send-completed-hook):
	* erc.el (erc-info-mode-map): Removed.
	* erc.el (erc-prompt-face):
	* erc.el (erc-bold-face): Removed.
	* erc.el (erc-inverse-face): Removed.
	* erc.el (erc-underline-face): Removed.
	* erc.el (fg:erc-color-face0): Removed.
	* erc.el (fg:erc-color-face1): Removed.
	* erc.el (fg:erc-color-face2): Removed.
	* erc.el (fg:erc-color-face3): Removed.
	* erc.el (fg:erc-color-face4): Removed.
	* erc.el (fg:erc-color-face5): Removed.
	* erc.el (fg:erc-color-face6): Removed.
	* erc.el (fg:erc-color-face7): Removed.
	* erc.el (fg:erc-color-face8): Removed.
	* erc.el (fg:erc-color-face9): Removed.
	* erc.el (fg:erc-color-face10): Removed.
	* erc.el (fg:erc-color-face11): Removed.
	* erc.el (fg:erc-color-face12): Removed.
	* erc.el (fg:erc-color-face13): Removed.
	* erc.el (fg:erc-color-face14): Removed.
	* erc.el (fg:erc-color-face15): Removed.
	* erc.el (bg:erc-color-face0): Removed.
	* erc.el (bg:erc-color-face1): Removed.
	* erc.el (bg:erc-color-face2): Removed.
	* erc.el (bg:erc-color-face3): Removed.
	* erc.el (bg:erc-color-face4): Removed.
	* erc.el (bg:erc-color-face5): Removed.
	* erc.el (bg:erc-color-face6): Removed.
	* erc.el (bg:erc-color-face7): Removed.
	* erc.el (bg:erc-color-face8): Removed.
	* erc.el (bg:erc-color-face9): Removed.
	* erc.el (bg:erc-color-face10): Removed.
	* erc.el (bg:erc-color-face11): Removed.
	* erc.el (bg:erc-color-face12): Removed.
	* erc.el (bg:erc-color-face13): Removed.
	* erc.el (bg:erc-color-face14): Removed.
	* erc.el (bg:erc-color-face15): Removed.
	* erc.el (erc-get-bg-color-face): Removed.
	* erc.el (erc-get-fg-color-face): Removed.
	* erc.el (erc-active-buffer): New.
	* erc.el (erc-set-active-buffer): New.
	* erc.el (erc-info-mode): Removed.
	* erc.el (erc-join-buffer):
	* erc.el (erc-frame-alist):
	* erc.el (erc-join-info-buffer): Removed.
	* erc.el (erc-frame-dedicated-flag):
	* erc.el (erc-reuse-buffers):
	* erc.el (erc-with-buffer):
	* erc.el (erc-with-all-buffers-of-server):
	* erc.el (erc-iswitchb):
	* erc.el (erc-modules):
	* erc.el (erc-update-modules):
	* erc.el (erc-select-read-args):
	* erc.el (erc-select):
	* erc.el (erc-process-sentinel-1):
	* erc.el (erc-process-sentinel):
	* erc.el (erc-default-coding-system):
	* erc.el (erc-encoding-coding-alist):
	* erc.el (erc-upcase-first-word): New.
	* erc.el (erc-send-ctcp-message):
	* erc.el (erc-send-ctcp-notice):
	* erc.el (erc-noncommands-list): Removed.
	* erc.el (erc-display-line-1):
	* erc.el (erc-display-line):
	* erc.el (erc-scroll-to-bottom): Removed.
	* erc.el (erc-add-scroll-to-bottom): Removed.
	* erc.el (erc-display-message):
	* erc.el (fboundp):
	* erc.el (erc-get-arglist): New.
	* erc.el (erc-command-name): New.
	* erc.el (erc-process-input-line):
	* erc.el (erc-cmd-UNIGNORE):
	* erc.el (erc-cmd-OPS):
	* erc.el (erc-cmd-COUNTRY):
	* erc.el (erc-cmd-JOIN):
	* erc.el (erc-cmd-DESCRIBE):
	* erc.el (erc-cmd-MODE): New.
	* erc.el (erc-cmd-NICK):
	* erc.el (erc-cmd-QUIT):
	* erc.el (erc-cmd-SERVER):
	* erc.el (erc-cmd-SV):
	* erc.el (erc-cmd-APPENDTOPIC):
	* erc.el (erc-cmd-BANLIST):
	* erc.el (erc-grab-region):
	* erc.el (erc-make-property-list): Removed.
	* erc.el (erc-prepend-properties): Removed.
	* erc.el (erc-strip-controls): Removed.
	* erc.el (erc-decode-controls): Removed.
	* erc.el (erc-interpret-controls): Removed.
	* erc.el (erc-input-action):
	* erc.el (erc-set-topic):
	* erc.el (erc-merge-controls): Removed.
	* erc.el (erc-auto-query):
	* erc.el (erc-query-on-unjoined-chan-privmsg):
	* erc.el (erc-format-query-as-channel-p):
	* erc.el (erc-minibuffer-notice):
	* erc.el (erc-minibuffer-ignored):
	* erc.el (erc-format-nick-function):
	* erc.el (erc-echo-notice-in-active-non-server-buffer):
	* erc.el (erc-connection-established):
	* erc.el (erc-process-ctcp-query):
	* erc.el (erc-process-ctcp-reply):
	* erc.el (erc-ctcp-reply-ECHO):
	* erc.el (erc-ctcp-reply-CLIENTINFO):
	* erc.el (erc-ctcp-reply-FINGER):
	* erc.el (erc-ctcp-reply-PING):
	* erc.el (erc-ctcp-reply-TIME):
	* erc.el (erc-ctcp-reply-VERSION):
	* erc.el (erc-process-away):
	* erc.el (erc-set-modes):
	* erc.el (erc-update-modes):
	* erc.el (erc-handle-user-status-change):
	* erc.el (erc-find-channel-info-buffer): Removed.
	* erc.el (erc-update-channel-info-buffer): Removed.
	* erc.el (erc-parse-user):
	* erc.el (erc-update-channel-info-buffers): Removed.
	* erc.el (erc-beg-of-input-line):
	* erc.el (erc-send-current-line):
	* erc.el (erc-parse-current-line): Removed.
	* erc.el (erc-send-distinguish-noncommands): Removed.
	* erc.el (erc-user-input): New.
	* erc.el (erc-send-input): New.
	* erc.el (erc-send-single-line): New.
	* erc.el (erc-display-command): New.
	* erc.el (erc-display-msg): New.
	* erc.el (erc-delete-default-channel):
	* erc.el (erc-ignored-user-p):
	* erc.el (with-erc-channel-buffer):
	* erc.el (erc-toggle-interpret-controls): Removed.
	* erc.el (erc-invite-only-mode):
	* erc.el (erc-get-channel-mode-from-keypress):
	* erc.el (erc-toggle-channel-mode):
	* erc.el (erc-channel-names):
	* erc.el (erc-load-irc-script-lines):
	* erc.el (erc-login):
	* erc.el (erc-compute-server):
	* erc.el (erc-compute-nick):
	* erc.el (erc-compute-full-name):
	* erc.el (erc-compute-port):
	* erc.el (erc-seconds-to-string):
	* erc.el (erc-mode-line-format):
	* erc.el (erc-header-line-format):
	* erc.el (erc-header-line-uses-help-echo-p):
	* erc.el (erc-show-channel-key-p):
	* erc.el (erc-common-server-suffixes):
	* erc.el (erc-mode-line-away-status-format):
	* erc.el (erc-prepare-mode-line-format): Removed.
	* erc.el (erc-format-target-and/or-server): New.
	* erc.el (erc-format-target): New.
	* erc.el (erc-format-away-status): New.
	* erc.el (erc-format-channel-modes): New.
	* erc.el (erc-update-mode-line-buffer):
	* erc.el (english):
	* erc.el (erc-format-message):
	* erc.el (kill-buffer-hook):
	* erc.el (erc-make-read-only): Removed.
	* erc.el (erc-kill-server):
	* erc.el (smiley): Removed.
	* erc.el (erc-smiley): Removed.
	* erc.el (erc-unmorse): Removed.
	* erc.el (erc-occur): Removed.

2005-04-09  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.13 released.

2005-04-09  Aidan Kehoe  <kehoea@parhasard.net>

	* erc.el: autoload erc-select-read-args, which, because it parses
	erc-select's args, can be called before erc.el is loaded. 

2004-07-26  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.12 released.

2004-07-25  Adrian Aichner  <adrian@xemacs.org>

	* ChangeLog.upstream: Sync erc with upstream version 1.675.
	* Makefile (AUTHOR_VERSION): Ditto.
	* Makefile: Improve maintainability by use of some upstream
	targets where they make sense.  Add missing .el files recently
	added upstream via target ALLSOURCE.
	* Makefile (DONTCOMPILE): New.
	* Makefile (TESTING): New.
	* Makefile (ALLSOURCE): New.
	* Makefile (SOURCE): New.
	* Makefile.upstream (release): Sync erc with upstream version
	1.675.
	* erc-list.el (erc-chanlist-mode): Ditto.
	* erc-match.el (erc-match-version): Ditto.
	* erc-match.el (erc-match-current-nick-p): Ditto.
	* erc-match.el (erc-match-message): Ditto.
	* erc-nickserv.el (erc-nickserv-version): Ditto.
	* erc-nickserv.el (erc-nickserv-identify-mode): Ditto.
	* erc.el: Ditto.
	* erc.el (erc-version-string): Ditto.
	* erc.el (erc-kill-server-buffer-on-quit): New.
	* erc.el (erc-select): Removed.
	* erc.el (erc-select-read-args): New.
	* erc.el (erc-log-irc-protocol): Changed.
	* erc.el (erc-process-sentinel-1): New.
	* erc.el (erc-process-sentinel): Changed.
	* erc.el (erc-compute-port): New.

2004-06-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.11 released.

2004-06-14  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (AUTHOR_VERSION): Update to reflect yesterday's sync.

2004-06-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.10 released.

2004-06-13  Adrian Aichner  <adrian@xemacs.org>

	* HACKING.upstream: Add new upstream files forgotten during sync
	with upstream erc version 1.671.
	* erc-backend.el: Ditto.
	* erc-identd.el: Ditto.
	* erc-nicklist.el: Ditto.

2004-06-13  Adrian Aichner  <adrian@xemacs.org>

	* HACKING.upstream: Add new upstream files forgotten during sync
	with upstream erc version 1.671.
	* erc-backend.el: Ditto.
	* erc-identd.el: Ditto.
	* erc-nicklist.el: Ditto.

2004-06-13  Adrian Aichner  <adrian@xemacs.org>

	* ChangeLog: Typo fix.
	* ChangeLog.upstream: Full sync with upstream erc version 1.671.
	* Makefile.upstream (erc-auto.el): Ditto.
	* erc-autoaway.el (erc-autoaway-version): Ditto.
	* erc-autoaway.el (autoaway): Ditto.
	* erc-autojoin.el: Ditto.
	* erc-autojoin.el (erc-autojoin-version): Ditto.
	* erc-autojoin.el (autojoin): Ditto.
	* erc-autojoin.el (erc-autojoin-add): Ditto.
	* erc-autojoin.el (erc-autojoin-remove): Ditto.
	* erc-bbdb.el (erc-bbdb-version): Ditto.
	* erc-bbdb.el (erc-bbdb-whois): Ditto.
	* erc-bbdb.el (erc-bbdb-JOIN): Ditto.
	* erc-bbdb.el (erc-bbdb-NICK): Ditto.
	* erc-bbdb.el (BBDB): Ditto.
	* erc-button.el (erc-button-version): Ditto.
	* erc-dcc.el (erc-dcc-version): Ditto.
	* erc-dcc.el (erc-dcc-do-GET-command): Ditto.
	* erc-dcc.el (erc-dcc-no-such-nick): Ditto.
	* erc-dcc.el (erc-server-401-functions): Ditto.
	* erc-ezbounce.el (erc-ezb-version): Ditto.
	* erc-ezbounce.el (erc-ezb-notice-autodetect): Ditto.
	* erc-ezbounce.el (erc-ezb-initialize): Ditto.
	* erc-fill.el (erc-fill-version): Ditto.
	* erc-fill.el (erc-fill-variable): Ditto.
	* erc-list.el: Ditto.
	* erc-list.el ((fboundp 'make-overlay)): Ditto.
	* erc-list.el (erc-chanlist-frame-parameters): Ditto.
	* erc-list.el (erc-chanlist-header-face): Ditto.
	* erc-list.el (erc-chanlist-highlight-face): New.
	* erc-list.el (erc-chanlist-highlight-overlay): New.
	* erc-list.el (erc-cmd-LIST): Full sync.
	* erc-list.el (erc-chanlist): Ditto.
	* erc-list.el (erc-chanlist-322): Ditto.
	* erc-list.el (erc-chanlist-post-command-hook): Ditto.
	* erc-list.el (erc-chanlist-highlight-line): Ditto.
	* erc-list.el (erc-chanlist-dehighlight-line): New.
	* erc-log.el: Full sync.
	* erc-log.el (erc-log-version): New.
	* erc-log.el (erc-enable-logging): Full sync.
	* erc-log.el (log): Ditto.
	* erc-log.el (erc-mode-map): New.
	* erc-log.el (erc-log-setup-logging): Full sync.
	* erc-log.el (erc-log-all-but-server-buffers): Ditto.
	* erc-log.el (erc-conditional-save-buffer): Ditto.
	* erc-log.el (erc-conditional-save-queries): Ditto.
	* erc-log.el (erc-current-logfile): Ditto.
	* erc-log.el (erc-generate-log-file-name-with-date): Ditto.
	* erc-log.el (erc-generate-log-file-name-short): Ditto.
	* erc-log.el (erc-save-buffer-in-logs): Ditto.
	* erc-match.el (erc-match-version): Ditto.
	* erc-match.el (erc-get-parsed-vector-nick): Ditto.
	* erc-match.el (erc-get-parsed-vector-type): Ditto.
	* erc-match.el (erc-server-305-functions): Ditto.
	* erc-menu.el: Ditto.
	* erc-menu.el (erc-menu-version): Ditto.
	* erc-menu.el (erc-menu-definition): Ditto.
	* erc-nets.el (erc-nets-version): Ditto.
	* erc-nets.el (erc-server-375-functions): Ditto.
	* erc-netsplit.el (erc-netsplit-version): Ditto.
	* erc-netsplit.el (netsplit): Ditto.
	* erc-netsplit.el (erc-netsplit-JOIN): Ditto.
	* erc-netsplit.el (erc-netsplit-MODE): Ditto.
	* erc-netsplit.el (erc-netsplit-QUIT): Ditto.
	* erc-nickserv.el: Ditto.
	* erc-nickserv.el (erc-nickserv-version): Ditto.
	* erc-nickserv.el (services): Ditto.
	* erc-nickserv.el (erc-nickserv-identify-mode): Ditto.
	* erc-nickserv.el (erc-nickserv-identify-autodetect): Ditto.
	* erc-notify.el (notify): Ditto.
	* erc-notify.el (erc-notify-timer): Ditto.
	* erc-notify.el (erc-notify-JOIN): Ditto.
	* erc-notify.el (erc-notify-NICK): Ditto.
	* erc-notify.el (erc-notify-QUIT): Ditto.
	* erc-sound.el: Ditto.
	* erc-speedbar.el: Ditto.
	* erc-speedbar.el (nil): Ditto.
	* erc-speedbar.el (erc-speedbar-version): New.
	* erc-speedbar.el (erc-speedbar-goto-buffer): Full sync.
	* erc-track.el (erc-track-version): Ditto.
	* erc-track.el (track-when-inactive): Ditto.
	* erc.el: Ditto.
	* erc.el (erc-backend): Ditto.
	* erc.el (erc-version-string): Ditto.
	* erc.el (erc-disconnected-hook): Ditto.
	* erc.el (erc-join-hook): Ditto.
	* erc.el (erc-quit-hook): Ditto.
	* erc.el (erc-part-hook): Ditto.
	* erc.el (erc-kick-hook): Ditto.
	* erc.el (erc-channel-user-op-p): Ditto.
	* erc.el (erc-channel-user-voice-p): Ditto.
	* erc.el (erc-debug-log-file): Ditto.
	* erc.el (erc-once-with-server-event): Ditto.
	* erc.el (erc-once-with-server-event-global): Ditto.
	* erc.el (erc-server-buffer): Ditto.
	* erc.el (erc-server-buffer-live-p): New.
	* erc.el (erc-log-irc-protocol): Full sync.
	* erc.el (erc-toggle-debug-irc-protocol): Ditto.
	* erc.el (erc-process-filter): Ditto.
	* erc.el (erc-display-line): Ditto.
	* erc.el (erc-message-type-member): Ditto.
	* erc.el (erc-cmd-JOIN): Ditto.
	* erc.el (erc-cmd-IDLE): Ditto.
	* erc.el (erc-cmd-TIME): Ditto.
	* erc.el (channel-banlist): Ditto.
	* erc.el (erc-server-364-hook): Removed.
	* erc.el (erc-server-365-hook): Removed.
	* erc.el (erc-server-367-hook): Removed.
	* erc.el (erc-server-368-hook): Removed.
	* erc.el (erc-cmd-BANLIST): Full sync.
	* erc.el (erc-cmd-MASSUNBAN): Ditto.
	* erc.el (erc-join-channel): Ditto.
	* erc.el (erc-duplicates): Ditto.
	* erc.el (erc-call-hooks): Removed.
	* erc.el (erc-query): Full sync.
	* erc.el (erc-parse-line-from-server): Removed.
	* erc.el (erc-display-server-message): Full sync.
	* erc.el (erc-server-hook-list): Removed.
	* erc.el (erc-send-ping-interval): Full sync.
	* erc.el (erc-auto-query): Ditto.
	* erc.el (erc-server-ERROR): Removed.
	* erc.el (erc-server-INVITE): Removed.
	* erc.el (erc-server-JOIN): Removed.
	* erc.el (erc-server-KICK): Removed.
	* erc.el (erc-server-version): Full sync.
	* erc.el (erc-server-PRIVMSG-or-NOTICE): Removed.
	* erc.el (erc-banlist-store): Full sync.
	* erc.el (erc-server-KILL-hook): Removed.
	* erc.el (erc-banlist-finished): Full sync.
	* erc.el (erc-server-MODE): Removed.
	* erc.el (erc-banlist-update): Full sync.
	* erc.el (erc-server-NICK): Removed.
	* erc.el (erc-server-QUIT): Removed.
	* erc.el (erc-server-TOPIC): Removed.
	* erc.el (erc-server-PART): Removed.
	* erc.el (erc-connection-established): Full sync.
	* erc.el (erc-server-MOTD): Removed.
	* erc.el (erc-server-WALLOPS): Removed.
	* erc.el (erc-server-001): Removed.
	* erc.el (erc-server-PING): Removed.
	* erc.el (erc-display-error-notice): Full sync.
	* erc.el (erc-server-379): Removed.
	* erc.el (erc-process-ctcp-query): Full sync.
	* erc.el (erc-server-401): Removed.
	* erc.el (erc-server-381-hook): Removed.
	* erc.el (erc-server-382-hook): Removed.
	* erc.el (erc-server-391-hook): Removed.
	* erc.el (erc-server-004): Removed.
	* erc.el (erc-server-392-hook): Removed.
	* erc.el (erc-server-PONG-hook): Removed.
	* erc.el (erc-server-393-hook): Removed.
	* erc.el (erc-server-394-hook): Removed.
	* erc.el (erc-server-395-hook): Removed.
	* erc.el (erc-server-402-hook): Removed.
	* erc.el (erc-server-403): Removed.
	* erc.el (erc-server-PONG): Removed.
	* erc.el (erc-server-005): Removed.
	* erc.el (erc-server-404-hook): Removed.
	* erc.el (erc-server-405): Removed.
	* erc.el (erc-server-406): Removed.
	* erc.el (erc-server-407-hook): Removed.
	* erc.el (erc-server-409-hook): Removed.
	* erc.el (erc-server-411-hook): Removed.
	* erc.el (erc-server-412): Removed.
	* erc.el (erc-server-200-hook): Removed.
	* erc.el (erc-server-201-hook): Removed.
	* erc.el (erc-server-202-hook): Removed.
	* erc.el (erc-server-413-hook): Removed.
	* erc.el (erc-server-203-hook): Removed.
	* erc.el (erc-server-414-hook): Removed.
	* erc.el (erc-server-204-hook): Removed.
	* erc.el (erc-server-415-hook): Removed.
	* erc.el (erc-server-205-hook): Removed.
	* erc.el (erc-server-206-hook): Removed.
	* erc.el (erc-server-421): Removed.
	* erc.el (erc-server-208-hook): Removed.
	* erc.el (erc-server-209-hook): Removed.
	* erc.el (erc-server-211-hook): Removed.
	* erc.el (erc-server-212-hook): Removed.
	* erc.el (erc-server-213-hook): Removed.
	* erc.el (erc-server-214-hook): Removed.
	* erc.el (erc-server-215-hook): Removed.
	* erc.el (erc-server-422-hook): Removed.
	* erc.el (erc-server-216-hook): Removed.
	* erc.el (erc-server-423-hook): Removed.
	* erc.el (erc-server-217-hook): Removed.
	* erc.el (erc-server-424-hook): Removed.
	* erc.el (erc-server-218-hook): Removed.
	* erc.el (erc-server-431-hook): Removed.
	* erc.el (erc-server-219-hook): Removed.
	* erc.el (erc-server-432): Removed.
	* erc.el (erc-server-221): Removed.
	* erc.el (erc-server-433): Removed.
	* erc.el (erc-server-241-hook): Removed.
	* erc.el (erc-server-242-hook): Removed.
	* erc.el (erc-server-243-hook): Removed.
	* erc.el (erc-server-436-hook): Removed.
	* erc.el (erc-server-244-hook): Removed.
	* erc.el (erc-server-249-hook): Removed.
	* erc.el (erc-server-437-hook): Removed.
	* erc.el (erc-server-252): Removed.
	* erc.el (erc-server-437): Removed.
	* erc.el (erc-server-441-hook): Removed.
	* erc.el (erc-server-253): Removed.
	* erc.el (erc-server-442): Removed.
	* erc.el (erc-server-254): Removed.
	* erc.el (erc-server-443-hook): Removed.
	* erc.el (erc-server-444-hook): Removed.
	* erc.el (erc-server-445-hook): Removed.
	* erc.el (erc-server-446-hook): Removed.
	* erc.el (erc-server-451-hook): Removed.
	* erc.el (erc-server-261-hook): Removed.
	* erc.el (erc-server-461): Removed.
	* erc.el (erc-server-262-hook): Removed.
	* erc.el (erc-server-301): Removed.
	* erc.el (erc-server-462-hook): Removed.
	* erc.el (erc-server-463-hook): Removed.
	* erc.el (erc-server-464-hook): Removed.
	* erc.el (erc-server-465-hook): Removed.
	* erc.el (erc-server-302-hook): Removed.
	* erc.el (erc-server-467-hook): Removed.
	* erc.el (erc-server-471-hook): Removed.
	* erc.el (erc-server-303): Removed.
	* erc.el (erc-server-472-hook): Removed.
	* erc.el (erc-server-473-hook): Removed.
	* erc.el (erc-server-474): Removed.
	* erc.el (erc-server-305): Removed.
	* erc.el (erc-server-475): Removed.
	* erc.el (erc-server-306): Removed.
	* erc.el (erc-server-477): Removed.
	* erc.el (erc-process-ctcp-reply): Full sync.
	* erc.el (erc-server-311-or-314): Removed.
	* erc.el (erc-server-481): Removed.
	* erc.el (erc-server-482): Removed.
	* erc.el (erc-server-312): Removed.
	* erc.el (erc-server-483-hook): Removed.
	* erc.el (erc-server-491-hook): Removed.
	* erc.el (erc-server-501): Removed.
	* erc.el (erc-server-502-hook): Removed.
	* erc.el (erc-server-313): Removed.
	* erc.el (erc-server-317): Removed.
	* erc.el (erc-server-319): Removed.
	* erc.el (erc-server-320): Removed.
	* erc.el (erc-server-321): Removed.
	* erc.el (erc-server-322): Removed.
	* erc.el (erc-server-323-hook): Removed.
	* erc.el (erc-server-324): Removed.
	* erc.el (erc-server-329): Removed.
	* erc.el (erc-server-330): Removed.
	* erc.el (erc-server-331): Removed.
	* erc.el (erc-server-332): Removed.
	* erc.el (erc-server-333): Removed.
	* erc.el (erc-server-341): Removed.
	* erc.el (erc-server-342-hook): Removed.
	* erc.el (erc-server-351-hook): Removed.
	* erc.el (erc-server-352): Removed.
	* erc.el (erc-server-353): Removed.
	* erc.el (erc-server-366): Removed.
	* erc.el (erc-update-channel-info-buffer): Full sync.
	* erc.el (erc-send-current-line): Ditto.
	* erc.el (erc-find-file): Ditto.
	* erc.el (erc-away-p): Ditto.
	* erc.el (erc-mode-line-format): Ditto.
	* erc.el (erc-prepare-mode-line-format): Ditto.

2004-05-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.09 released.

2004-05-09  Adrian Aichner  <adrian@xemacs.org>

	* CREDITS: Full erc sync with upstream 1.657.
	* CREDITS (P.S.):
	* ChangeLog.upstream:
	* Makefile (AUTHOR_VERSION):
	* erc-autoaway.el:
	* erc-autoaway.el (erc-autoaway-version): New.
	* erc-autoaway.el (erc-auto-discard-away):
	* erc-autoaway.el (erc-autoaway-no-auto-discard-regexp): New.
	* erc-autoaway.el (erc-autoaway-reset-idletime):
	* erc-autoaway.el (erc-autoaway-set-back):
	* erc-button.el:
	* erc-button.el (erc-button-add-button):
	* erc-button.el (erc-widget-press-button): Removed.
	* erc-ezbounce.el:
	* erc-ezbounce.el (erc-ezb-version):
	* erc-ezbounce.el (erc-ezbounce): New.
	* erc-ezbounce.el (erc-ezb-login-alist):
	* erc-fill.el:
	* erc-fill.el (erc-fill-version):
	* erc-fill.el (erc-fill-static):
	* erc-fill.el (erc-fill-variable):
	* erc-fill.el (erc-count-lines): Removed.
	* erc-fill.el (erc-fill-regarding-timestamp): New.
	* erc-fill.el (erc-timestamp-offset): New.
	* erc-fill.el (erc-restore-text-properties): New.
	* erc-list.el (erc-cmd-LIST):
	* erc-log.el:
	* erc-log.el (erc-log-channels-directory):
	* erc-log.el (log):
	* erc-match.el:
	* erc-match.el (erc-match-version):
	* erc-match.el (erc-match):
	* erc-match.el (erc-keywords):
	* erc-match.el (erc-current-nick-highlight-type):
	* erc-match.el (erc-log-matches-types-alist):
	* erc-match.el (erc-hide-fools):
	* erc-menu.el:
	* erc-menu.el (erc-menu-version): New.
	* erc-nets.el:
	* erc-nets.el (erc-nets-version):
	* erc-nets.el (erc-networks-alist):
	* erc-nickserv.el:
	* erc-nickserv.el (erc-nickserv-version):
	* erc-nickserv.el (services):
	* erc-nickserv.el (erc-nickserv-identify-mode): New.
	* erc-nickserv.el (erc-prompt-for-nickserv-password):
	* erc-nickserv.el (erc-nickserv-passwords):
	* erc-nickserv.el (erc-nickserv-alist):
	* erc-nickserv.el (erc-nickserv-identify-autodetect):
	* erc-nickserv.el (erc-nickserv-identify-on-connect): New.
	* erc-nickserv.el (erc-nickserv-identify-on-nick-change): New.
	* erc-nickserv.el (erc-nickserv-call-identify-function): New.
	* erc-page.el:
	* erc-page.el (erc-page): New.
	* erc-speak.el:
	* erc-speak.el (erc-speak): New.
	* erc-speedbar.el:
	* erc-speedbar.el (erc-speedbar): New.
	* erc-speedbar.el (erc-speedbar-sort-users-type): New.
	* erc-speedbar.el (erc-install-speedbar-variables):
	* erc-speedbar.el (erc-speedbar-buttons):
	* erc-speedbar.el (erc-speedbar-expand-channel):
	* erc-speedbar.el (erc-speedbar-insert-user):
	* erc-speedbar.el (erc-speedbar-expand-user):
	* erc-speedbar.el (erc-speedbar-goto-buffer):
	* erc-stamp.el:
	* erc-stamp.el (erc-stamp-version):
	* erc-stamp.el (erc-away-timestamp-format):
	* erc-stamp.el (erc-timestamp-intangible):
	* erc-stamp.el (erc-insert-timestamp-left):
	* erc-stamp.el (erc-timestamp-right-column):
	* erc-track.el (erc-track-version):
	* erc-track.el (erc-track):
	* erc-track.el (erc-modified-channels-display):
	* erc-track.el (erc-track-modified-channels):
	* erc.el:
	* erc.el (erc-version-string):
	* erc.el (erc-server-parameters):
	* erc.el (erc-join-hook): New.
	* erc.el (erc-quit-hook):
	* erc.el (erc-part-hook):
	* erc.el (erc-kick-hook):
	* erc.el (erc-nick-changed-functions): New.
	* erc.el (erc-connect-pre-hook):
	* erc.el (erc-channel-user-op-p):
	* erc.el (erc-channel-user-voice-p):
	* erc.el (erc-sort-channel-users-alphabetically): New.
	* erc.el (erc-input-line-position):
	* erc.el (erc-echo-notices-in-minibuffer-flag): Removed.
	* erc.el (erc-echo-notices-in-current-buffer): Removed.
	* erc.el (erc-echo-notice-hook): New.
	* erc.el (erc-echo-notice-always-hook): New.
	* erc.el (erc-interpret-controls-p):
	* erc.el (erc-prompt-for-channel-key): New.
	* erc.el (erc-mode-map):
	* erc.el (channel-key): New.
	* erc.el (erc-modules):
	* erc.el (erc):
	* erc.el (erc-send-command):
	* erc.el (erc-send-action):
	* erc.el (erc-display-message-highlight):
	* erc.el (erc-cmd-OPS):
	* erc.el (erc-cmd-JOIN):
	* erc.el (erc-send-message):
	* erc.el (erc-cmd-PART):
	* erc.el (erc-cmd-QUERY):
	* erc.el (erc-cmd-GQUIT):
	* erc.el (erc-cmd-SV):
	* erc.el (erc-cmd-BANLIST):
	* erc.el (erc-join-channel):
	* erc.el (erc-set-channel-limit):
	* erc.el (erc-set-channel-key):
	* erc.el (erc-server-vectors):
	* erc.el (erc-debug-missing-hooks):
	* erc.el (erc-format-query-as-channel-p): New.
	* erc.el (erc-wash-quit-reason):
	* erc.el (erc-nickname-in-use):
	* erc.el (erc-display-server-message): New.
	* erc.el (erc-server-JOIN):
	* erc.el (erc-server-MODE):
	* erc.el (erc-server-NICK):
	* erc.el (erc-format-my-nick): New.
	* erc.el (erc-echo-notice-in-default-buffer): New.
	* erc.el (erc-echo-notice-in-target-buffer): New.
	* erc.el (erc-echo-notice-in-minibuffer): New.
	* erc.el (erc-echo-notice-in-server-buffer): New.
	* erc.el (erc-echo-notice-in-active-non-server-buffer): New.
	* erc.el (erc-echo-notice-in-active-buffer): New.
	* erc.el (erc-echo-notice-in-user-buffers): New.
	* erc.el (erc-echo-notice-in-user-and-target-buffers): New.
	* erc.el (erc-echo-notice-in-first-user-buffer): New.
	* erc.el (erc-server-PRIVMSG-or-NOTICE):
	* erc.el (erc-server-001):
	* erc.el (erc-server-004):
	* erc.el (erc-server-005):
	* erc.el (erc-server-252-hook): Removed.
	* erc.el (erc-server-253-hook): Removed.
	* erc.el (erc-server-254-hook): Removed.
	* erc.el (erc-server-256-hook): Removed.
	* erc.el (erc-server-257-hook): Removed.
	* erc.el (erc-server-258-hook): Removed.
	* erc.el (erc-server-259-hook): Removed.
	* erc.el (erc-server-252): New.
	* erc.el (erc-server-253): New.
	* erc.el (erc-server-254): New.
	* erc.el (erc-banlist-store):
	* erc.el (erc-banlist-update):
	* erc.el (erc-handle-login):
	* erc.el (erc-connection-established):
	* erc.el (erc-server-371-hook): Removed.
	* erc.el (erc-server-372-hook): Removed.
	* erc.el (erc-server-374-hook): Removed.
	* erc.el (erc-server-375-hook): Removed.
	* erc.el (erc-server-401):
	* erc.el (erc-server-403):
	* erc.el (erc-server-405):
	* erc.el (erc-server-412-hook): Removed.
	* erc.el (erc-server-412): New.
	* erc.el (erc-server-421):
	* erc.el (erc-server-432-hook): Removed.
	* erc.el (erc-server-432): New.
	* erc.el (erc-server-442-hook): Removed.
	* erc.el (erc-server-442): New.
	* erc.el (erc-server-474):
	* erc.el (erc-server-475-hook): Removed.
	* erc.el (erc-server-477-hook): Removed.
	* erc.el (erc-server-475): New.
	* erc.el (erc-server-477): New.
	* erc.el (erc-server-481):
	* erc.el (erc-ctcp-query-ACTION):
	* erc.el (erc-ctcp-reply-ECHO):
	* erc.el (erc-update-channel-topic):
	* erc.el (erc-set-modes):
	* erc.el (erc-parse-modes):
	* erc.el (erc-update-modes):
	* erc.el (erc-update-channel-key): New.
	* erc.el (erc-find-channel-info-buffer):
	* erc.el (erc-update-channel-info-buffer):
	* erc.el (erc-send-current-line):
	* erc.el (erc-get-channel-mode-from-keypress):
	* erc.el (erc-load-irc-script-lines):
	* erc.el (erc-header-line-uses-help-echo-p): New.
	* erc.el (erc-show-channel-key-p): New.
	* erc.el (erc-prepare-mode-line-format):
	* erc.el (erc-update-mode-line-buffer):
	* erc.el (erc-arrange-session-in-multiple-windows):

2004-03-23  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.08 released.

2004-03-21  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (AUTHOR_VERSION): Update.

2004-03-19  Adrian Aichner  <adrian@xemacs.org>

	* erc-dcc.el (erc-dcc-get-file): XEmacs does not have
	`set-buffer-multibyte'.  Setting of file coding variables takes
	care of XEmacs.
	* erc-members.el: Fix miscompiled macro by
	requiring defining feature at the top-level.

2004-03-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.07 released.

2004-03-19  Adrian Aichner  <adrian@xemacs.org>

	* erc-autoaway.el (erc-autoaway-use-emacs-idle): Sync with my
	upstream erc typo fixes and superseding patch for make-obsolete of
	upstream erc version 4.0 revision 1.640.
	* erc-autoaway.el (erc-auto-set-away): Ditto.
	* erc-autoaway.el (erc-auto-discard-away): Ditto.
	* erc-autojoin.el (erc-autojoin-version): Ditto.
	* erc-autojoin.el (autojoin): Ditto.
	* erc-button.el (erc-button-version): Ditto.
	* erc-button.el (erc-button-alist): Ditto.
	* erc-dcc.el (erc-dcc-version): Ditto.
	* erc-dcc.el (erc-dcc-auto-masks): Ditto.
	* erc-dcc.el (erc-dcc-chat-send-input-line): Ditto.
	* erc-ezbounce.el (erc-ezb-version): Ditto.
	* erc-ezbounce.el (erc-ezb-get-login): Ditto.
	* erc-imenu.el (erc-imenu-version): Ditto.
	* erc-imenu.el (erc-unfill-notice): Ditto.
	* erc-list.el: Ditto.
	* erc-log.el (erc-enable-logging): Ditto.
	* erc-log.el (erc-save-buffer-in-logs): Ditto.
	* erc-match.el (erc-match-version): Ditto.
	* erc-match.el (match): Ditto.
	* erc-match.el (erc-log-matches-types-alist): Ditto.
	* erc-match.el (erc-match-directed-at-fool-p): Ditto.
	* erc-match.el (erc-match-message): Ditto.
	* erc-members.el (erc-update-member): Ditto.
	* erc-members.el (erc-ignored-reply-p): Ditto.
	* erc-menu.el (erc-menu-definition): Ditto.
	* erc-nets.el: Use two argument version of make-obsolete, when
	third argument is not supported (for XEmacs).
	* erc-nets.el (erc-nets-version): Ditto.
	* erc-nets.el (erc-determine-network): Ditto.
	* erc-nets.el (erc-network-name): Ditto.
	* erc-netsplit.el (erc-netsplit-version): Ditto.
	* erc-netsplit.el (erc-netsplit-QUIT): Ditto.
	* erc-notify.el (erc-notify-list): Ditto.
	* erc-speedbar.el (erc-speedbar-update-channel): Ditto.
	* erc-speedbar.el (erc-speedbar-item-info): Ditto.
	* erc-stamp.el (erc-stamp-version): Ditto.
	* erc-stamp.el (erc-stamp): Ditto.
	* erc-stamp.el (erc-timestamp-intangible): Ditto.
	* erc-stamp.el (erc-add-timestamp): Ditto.
	* erc-stamp.el (erc-insert-timestamp-left): Ditto.
	* erc-stamp.el (erc-timestamp-only-if-changed-flag): Ditto.
	* erc-stamp.el (erc-show-timestamps): Ditto.
	* erc-track.el: Ditto.
	* erc-track.el (erc-track-version): Ditto.
	* erc-track.el (erc-track-priority-faces-only): Ditto.
	* erc-track.el (erc-modified-channels-alist): Ditto.
	* erc-track.el (erc-unique-substrings): Ditto.
	* erc-track.el (erc-find-parsed-property): Ditto.
	* erc-track.el (erc-track-switch-direction): Ditto.
	* erc-truncate.el (erc-truncate-buffer-to-size): Ditto.
	* erc-xdcc.el (erc-xdcc): Ditto.
	* erc.el: Ditto.
	* erc.el (erc-version-string): Ditto.
	* erc.el (erc-nick-uniquifier): Ditto.
	* erc.el (erc-manual-set-nick-on-bad-nick-p): Ditto.
	* erc.el (erc-auto-reconnect): Ditto.
	* erc.el (erc-startup-file-list): Ditto.
	* erc.el (erc-once-with-server-event): Ditto.
	* erc.el (erc-once-with-server-event-global): Ditto.
	* erc.el (erc-mode): Ditto.
	* erc.el (erc-generate-new-buffer-name): Ditto.
	* erc.el (erc-buffer-filter): Ditto.
	* erc.el (erc): Ditto.
	* erc.el (erc-open-ssl-stream): Ditto.
	* erc.el (erc-process-sentinel): Ditto.
	* erc.el (erc-default-coding-system): Ditto.
	* erc.el (erc-coding-sytem-for-target): Removed.
	* erc.el (erc-coding-system-for-target): New.
	* erc.el (erc-encode-string-for-target): Ditto.
	* erc.el (erc-decode-string-from-target): Ditto.
	* erc.el (erc-scroll-to-bottom): Ditto.
	* erc.el (erc-process-input-line): Ditto.
	* erc.el (erc-cmd-PART): Ditto.
	* erc.el (erc-quit-reason-zippy): Ditto.
	* erc.el (erc-part-reason-zippy): Ditto.
	* erc.el (erc-cmd-GQUIT): Ditto.
	* erc.el (erc-decode-controls): Ditto.
	* erc.el (erc-channel-members-changed-hook): Ditto.
	* erc.el (erc-put-text-property): Ditto.
	* erc.el (erc-add-default-channel): Ditto.

2004-03-11  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.06 released.

2004-03-11  Adrian Aichner  <adrian@xemacs.org>

	* Full sync with upstream version 4.0 Revision 1.637.
	* AUTHORS:
	* CREDITS:
	* Makefile (AUTHOR_VERSION):
	* Makefile (DATA_FILES):
	* Makefile.upstream (TESTING): New.
	* erc-autoaway.el:
	* erc-autoaway.el (erc-autoaway-use-emacs-idle): New.
	* erc-autoaway.el (erc-auto-discard-away):
	* erc-autojoin.el (erc-autojoin-version):
	* erc-bbdb.el (erc-bbdb-version):
	* erc-button.el:
	* erc-button.el (erc-button-version):
	* erc-button.el (erc-button-alist):
	* erc-button.el (erc-emacswiki-lisp-url): New.
	* erc-button.el (erc-button-add-buttons):
	* erc-button.el (erc-button-add-buttons-1):
	* erc-button.el (erc-button-add-nickname-buttons): New.
	* erc-button.el (erc-button-remove-old-buttons):
	* erc-button.el (erc-button-add-button):
	* erc-button.el (erc-button-add-face):
	* erc-button.el (erc-button-press-button):
	* erc-button.el (erc-browse-emacswiki-lisp): New.
	* erc-button.el (erc-nick-popup-alist):
	* erc-button.el (erc-nick-popup):
	* erc-chess.el (erc-chess-version):
	* erc-chess.el (erc-chess-partner):
	* erc-chess.el (erc-chess-handler):
	* erc-compat.el (erc-compat-version):
	* erc-complete.el (erc-complete-version):
	* erc-dcc.el:
	* erc-dcc.el (erc-dcc-version):
	* erc-dcc.el (pcomplete/erc-mode/DCC):
	* erc-dcc.el (erc-dcc-entry-data): New.
	* erc-dcc.el (erc-dcc-byte-count): New.
	* erc-dcc.el (erc-dcc-get-file):
	* erc-dcc.el (erc-dcc-from):
	* erc-dcc.el (erc-dcc-from)): New.
	* erc-dcc.el (erc-dcc-unprocessed-output)): New.
	* erc-dcc.el (erc-dcc-chat-setup):
	* erc-ezbounce.el:
	* erc-ezbounce.el (erc-ezb-version):
	* erc-ezbounce.el (erc-ezb-session-list):
	* erc-fill.el (erc-fill-version):
	* erc-ibuffer.el (erc-ibuffer-version):
	* erc-ibuffer.el (erc-modified):
	* erc-ibuffer.el (erc-voice):
	* erc-imenu.el (erc-imenu-version):
	* erc-lang.el:
	* erc-lang.el (erc):
	* erc-list.el:
	* erc-list.el (erc-nets):
	* erc-list.el (erc-chanlist-header-face): New.
	* erc-list.el (erc-chanlist-odd-line-face): New.
	* erc-list.el (erc-chanlist-even-line-face): New.
	* erc-list.el (erc-chanlist-sort-state):
	* erc-list.el (erc-chanlist-mode):
	* erc-list.el (erc-cmd-LIST):
	* erc-list.el (erc-chanlist):
	* erc-log.el (erc-save-buffer-in-logs):
	* erc-macs.el (erc-victims): New.
	* erc-macs.el (erc-channel-victims): New.
	* erc-match.el:
	* erc-match.el (erc-match-version):
	* erc-match.el (erc-current-nick-highlight-type):
	* erc-match.el (erc-add-entry-to-list):
	* erc-match.el (erc-remove-entry-from-list):
	* erc-match.el (erc-add-pal):
	* erc-match.el (erc-add-fool):
	* erc-match.el (erc-match-directed-at-fool-p):
	* erc-match.el (erc-match-message):
	* erc-menu.el (erc-menu-definition):
	* erc-nets.el:
	* erc-nets.el (erc-nets-version): New.
	* erc-nets.el (erc-server-alist):
	* erc-nets.el (erc-networks-alist):
	* erc-nets.el (erc-determine-network): New.
	* erc-nets.el (erc-network): New.
	* erc-nets.el (erc-current-network): New.
	* erc-nets.el (erc-network-name): New.
	* erc-nets.el (erc-set-network-name): New.
	* erc-nets.el (erc-unset-network-name): New.
	* erc-nets.el (erc-ports-list):
	* erc-nets.el (erc-server-select):
	* erc-nets.el (erc-settings):
	* erc-nets.el (pals):
	* erc-netsplit.el (erc-netsplit-version):
	* erc-nickserv.el:
	* erc-nickserv.el (erc-nets):
	* erc-nickserv.el (erc-nickserv-version):
	* erc-nickserv.el (erc-nickserv-alist):
	* erc-nickserv.el (erc-nickserv-identify-autodetect):
	* erc-nickserv.el (erc-nickserv-identify):
	* erc-nickserv.el (erc-networks): Removed.
	* erc-nickserv.el (erc-current-network): Removed.
	* erc-notify.el (erc-nets):
	* erc-page.el (erc-cmd-PAGE):
	* erc-pcomplete.el:
	* erc-pcomplete.el (time-date):
	* erc-pcomplete.el (erc-pcomplete-version):
	* erc-pcomplete.el (erc-pcomplete-order-nickname-completions): New.
	* erc-pcomplete.el (pcomplete-erc-ops):
	* erc-pcomplete.el (pcomplete-erc-not-ops):
	* erc-pcomplete.el (pcomplete-erc-nicks):
	* erc-pcomplete.el (pcomplete-erc-all-nicks):
	* erc-pcomplete.el (erc-pcomplete-bring-channel-member-to-front): Removed.
	* erc-pcomplete.el (erc-pcomplete-ordering-PRIVMSG-handler): Removed.
	* erc-replace.el (erc-replace-version):
	* erc-ring.el (erc-ring-version):
	* erc-ring.el (erc-input-ring):
	* erc-ring.el (erc-input-ring-index):
	* erc-ring.el (erc-input-ring-setup):
	* erc-ring.el (erc-replace-current-command):
	* erc-speedbar.el (erc-speedbar-expand-channel):
	* erc-speedbar.el (erc-speedbar-sort-channel-members): Removed.
	* erc-speedbar.el (erc-speedbar-insert-user):
	* erc-stamp.el:
	* erc-stamp.el (erc-stamp-version):
	* erc-stamp.el (erc-timestamp-intangible): New.
	* erc-stamp.el (erc-timestamp-last-inserted): New.
	* erc-stamp.el (erc-format-timestamp):
	* erc-track.el:
	* erc-track.el (erc-track-version):
	* erc-track.el (erc-track-priority-faces-only): New.
	* erc-track.el (Note): New.
	* erc-track.el (erc-track-modified-channels):
	* erc.el:
	* erc.el (erc-version-string):
	* erc.el (erc-manual-set-nick-on-bad-nick-p): New.
	* erc.el (erc-send-whitespace-lines): New.
	* erc.el (erc-disconnected-hook): New.
	* erc.el (erc-complete-functions): New.
	* erc.el (erc-quit-hook): New.
	* erc.el (erc-part-hook): New.
	* erc.el (erc-kick-hook): New.
	* erc.el (erc-connect-pre-hook): New.
	* erc.el (erc-process): New.
	* erc.el (channel-members): Removed.
	* erc.el (erc-channel-users): New.
	* erc.el (erc-server-users): New.
	* erc.el (erc-downcase): New.
	* erc.el ((erc-server-user (:type vector) :named)):
	* erc.el ((erc-server-user): New.
	* erc.el ((erc-channel-user): New.
	* erc.el (erc-get-channel-user): New.
	* erc.el (erc-get-server-user): New.
	* erc.el (erc-add-server-user): New.
	* erc.el (erc-remove-server-user): New.
	* erc.el (erc-change-user-nickname): New.
	* erc.el (erc-remove-channel-user): New.
	* erc.el (erc-remove-user): New.
	* erc.el (erc-remove-channel-users): New.
	* erc.el (erc-channel-user-op-p): New.
	* erc.el (erc-channel-user-voice-p): New.
	* erc.el (erc-get-channel-user-list): New.
	* erc.el (erc-get-server-nickname-list): New.
	* erc.el (erc-get-channel-nickname-list): New.
	* erc.el (erc-get-server-nickname-alist): New.
	* erc.el (erc-get-channel-nickname-alist): New.
	* erc.el (erc-sort-channel-users-by-activity): New.
	* erc.el (erc-input-line-position): New.
	* erc.el (erc-ignore-list):
	* erc.el (erc-mode):
	* erc.el (erc-with-buffer):
	* erc.el (erc-get-buffer):
	* erc.el (erc-iswitchb):
	* erc.el (erc-buffer-list-with-nick):
	* erc.el (erc-default-recipients):
	* erc.el (erc-network-name): Removed.
	* erc.el (erc-session-user-full-name):
	* erc.el (current-nick):
	* erc.el (channel-user-limit):
	* erc.el (last-peers):
	* erc.el (invitation):
	* erc.el (away):
	* erc.el (channel-list):
	* erc.el (last-sent-time):
	* erc.el (last-ping-time):
	* erc.el (last-ctcp-time):
	* erc.el (erc-lines-sent):
	* erc.el (erc-bytes-sent):
	* erc.el (erc-announced-server-name): Removed.
	* erc.el (quitting):
	* erc.el (bad-nick):
	* erc.el (erc-logged-in):
	* erc.el (erc-default-nicks):
	* erc.el (erc-nick-change-attempt-count): New.
	* erc.el (erc-previous-read): New.
	* erc.el (erc):
	* erc.el (erc-split-multiline):
	* erc.el (erc-process-sentinel):
	* erc.el (erc-display-line-1):
	* erc.el (erc-update-undo-list): New.
	* erc.el (erc-is-valid-nick-p):
	* erc.el (erc-scroll-to-bottom):
	* erc.el (erc-add-scroll-to-bottom):
	* erc.el (erc-send-input-line-function): New.
	* erc.el (erc-send-input-line):
	* erc.el ((fboundp 'help-function-arglist)):
	* erc.el (erc-cmd-OPS):
	* erc.el (erc-cmd-COUNTRY):
	* erc.el (erc-script-args): New.
	* erc.el (erc-cmd-WHOAMI): New.
	* erc.el (erc-server-364-hook): New.
	* erc.el (erc-server-365-hook): New.
	* erc.el (erc-server-367-hook): New.
	* erc.el (erc-server-368-hook): New.
	* erc.el (channel-banlist): New.
	* erc.el (erc-server-vectors): New.
	* erc.el (erc-duplicates): New.
	* erc.el (erc-query):
	* erc.el (erc-nickname-in-use):
	* erc.el (erc-server-KICK):
	* erc.el (erc-server-NICK):
	* erc.el (erc-server-PART):
	* erc.el (erc-lag): New.
	* erc.el (erc-setup-periodical-server-ping):
	* erc.el (erc-format-nick):
	* erc.el (erc-format-@nick):
	* erc.el (erc-server-PRIVMSG-or-NOTICE):
	* erc.el (erc-server-QUIT):
	* erc.el (erc-server-version): New.
	* erc.el (erc-server-001): New.
	* erc.el (erc-server-311-or-314):
	* erc.el (erc-server-317):
	* erc.el (erc-server-315-hook): Removed.
	* erc.el (erc-server-319):
	* erc.el (erc-server-318-hook): Removed.
	* erc.el (erc-server-352):
	* erc.el (erc-banlist-store):
	* erc.el (erc-server-369-hook): Removed.
	* erc.el (erc-channel-end-receiving-names):
	* erc.el (erc-channel-receive-names):
	* erc.el (erc-update-user-nick): New.
	* erc.el (erc-update-user): New.
	* erc.el (erc-update-current-channel-member):
	* erc.el (erc-update-channel-member):
	* erc.el (erc-remove-current-channel-member):
	* erc.el (erc-remove-channel-member):
	* erc.el (erc-update-channel-topic):
	* erc.el (erc-set-modes):
	* erc.el (erc-get-current-channel-members): Removed.
	* erc.el (erc-get-channel-members): Removed.
	* erc.el (erc-update-modes):
	* erc.el (erc-update-channel-limit):
	* erc.el (erc-find-channel-info-buffer):
	* erc.el (erc-update-channel-info-buffer):
	* erc.el (erc-update-channel-info-buffers):
	* erc.el (erc-remove-member-all-channels): Removed.
	* erc.el (erc-update-member-all-channels): Removed.
	* erc.el (erc-beg-of-input-line):
	* erc.el (erc-end-of-input-line):
	* erc.el (erc-send-current-line):
	* erc.el (erc-ignored-reply-p):
	* erc.el (erc-channel-member-to-user-spec): Removed.
	* erc.el (erc-user-spec): New.
	* erc.el (erc-nick-at-point):
	* erc.el (erc-operator-p): Removed.
	* erc.el (erc-mode-line-away-status-format): New.
	* erc.el (erc-prepare-mode-line-format):
	* erc.el (erc-update-mode-line-buffer):
	* erc.el (erc-kill-buffer-function):

2004-01-20  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.05 released.

	* Makefile (VERSION): XEmacs package 0.04 released.

	* Makefile (AUTHOR_VERSION): Set to correct version.

2004-01-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.03 released.

2004-01-18  Adrian Aichner  <adrian@xemacs.org>

	* Full sync with upstream erc 4.0 revision 1.608.
	* erc-autojoin.el (erc-autojoin-version): Manual expand to
	preserve upstream revision number.
	* erc-bbdb.el (erc-bbdb-version): Ditto.
	* erc-button.el (erc-button-version): Ditto.
	* erc-chess.el (erc-chess-version): Ditto.
	* erc-compat.el:
	* erc-compat.el (erc-compat-version): Ditto.
	* erc-compat.el (nil):
	* erc-complete.el (erc-complete-version): Ditto.
	* erc-dcc.el (erc-dcc-version): Ditto.
	* erc-ezbounce.el (erc-ezb-version): Ditto.
	* erc-fill.el (erc-fill-version): Ditto.
	* erc-ibuffer.el (erc-ibuffer-version): Ditto.
	* erc-imenu.el (erc-imenu-version): Ditto.
	* erc-list.el:
	* erc-list.el (erc-no-list-networks): New.
	* erc-list.el (erc-chanlist-frame-parameters): New.
	* erc-list.el (erc-chanlist-hide-modeline): New.
	* erc-list.el (erc-chanlist-channel-line-regexp): New.
	* erc-list.el (erc-chanlist-last-time):
	* erc-list.el (erc-chanlist-frame): New.
	* erc-list.el (erc-chanlist-sort-state): New.
	* erc-list.el (erc-chanlist-mode-hook): New.
	* erc-list.el (erc-chanlist-mode):
	* erc-list.el (erc-chanlist-mode-map): Removed.
	* erc-list.el (erc-cmd-LIST): New.
	* erc-list.el (erc-chanlist):
	* erc-list.el (erc-chanlist-322):
	* erc-list.el (erc-chanlist-post-command-hook): New.
	* erc-list.el (erc-chanlist-highlight-line): New.
	* erc-list.el (erc-prettify-channel-list): New.
	* erc-list.el (erc-chanlist-toggle-sort-state): New.
	* erc-list.el (erc-chanlist-quit): New.
	* erc-list.el (erc-chanlist-join-channel): New.
	* erc-match.el (erc-match-version): Manual expand to preserve
	upstream revision number.
	* erc-netsplit.el (erc-netsplit-version): Ditto.
	* erc-nickserv.el (erc-nickserv-version): Ditto.
	* erc-nickserv.el (erc-current-network):
	* erc-pcomplete.el:
	* erc-pcomplete.el (erc-pcomplete-version): Manual expand to
	preserve upstream revision number.
	* erc-pcomplete.el (pcomplete/erc-mode/IDLE): New.
	* erc-replace.el (erc-replace-version): Manual expand to preserve
	upstream revision number.
	* erc-ring.el (erc-ring-version): Ditto.
	* erc-stamp.el (erc-stamp-version): Ditto.
	* erc-track.el:
	* erc-track.el (erc-track-version): Ditto.
	* erc-track.el (erc-track-visibility): New.
	* erc-track.el (erc-track-exclude-types):
	* erc-track.el (track):
	* erc-track.el (track-when-inactive): New.
	* erc-track.el (erc-buffer-activity): New.
	* erc-track.el (erc-buffer-activity-timeout): New.
	* erc-track.el (erc-user-is-active): New.
	* erc-track.el (erc-buffer-visible): New.
	* erc-track.el (erc-modified-channels-update):
	* erc-track.el (erc-modified-channels-display):
	* erc-track.el (erc-track-modified-channels):
	* erc.el:
	* erc.el (erc-version-string):
	* erc.el (erc-official-location):
	* erc.el (erc-user-mode):
	* erc.el (erc-hide-prompt):
	* erc.el (erc-show-my-nick):
	* erc.el (erc-message-type):
	* erc.el ('erc-message-type): New.
	* erc.el (erc-server-parameters):
	* erc.el (erc-connected):
	* erc.el (channel-members):
	* erc.el (erc-string-no-properties):
	* erc.el (erc-prompt):
	* erc.el (erc-command-indicator):
	* erc.el (erc-prompt-interactive-input): Removed.
	* erc.el (erc-echo-notices-in-minibuffer-flag):
	* erc.el (erc-auto-reconnect):
	* erc.el (erc-ignore-list):
	* erc.el (erc-ignore-reply-list):
	* erc.el (erc-quit-reason-various-alist):
	* erc.el (erc-part-reason-various-alist):
	* erc.el (erc-quit-reason):
	* erc.el (erc-part-reason):
	* erc.el (erc-send-completed-hook):
	* erc.el (erc-quit-hook):
	* erc.el (erc-part-hook):
	* erc.el (erc-connect-pre-hook):
	* erc.el (erc-process):
	* erc.el (define-erc-module):
	* erc.el (erc-once-with-server-event):
	* erc.el (erc-once-with-server-event-global): New.
	* erc.el (erc-server-buffer):
	* erc.el (erc-server-buffer-p):
	* erc.el (erc-query-buffer-p): New.
	* erc.el (erc-ison-p):
	* erc.el (erc-generate-new-buffer-name):
	* erc.el (erc-get-buffer-create):
	* erc.el (erc-member-ignore-case):
	* erc.el (erc-with-buffer):
	* erc.el (erc-with-all-buffers-of-server):
	* erc.el (erc-channel-list):
	* erc.el (erc-buffer-list-with-nick):
	* erc.el (erc-network-name):
	* erc.el (erc-modules):
	* erc.el ("erc"):
	* erc.el (erc-update-modules):
	* erc.el (erc):
	* erc.el (erc-initialize-log-marker):
	* erc.el (erc-debug-irc-protocol):
	* erc.el (NOTE): New.
	* erc.el (erc-log-irc-protocol):
	* erc.el (erc-toggle-debug-irc-protocol):
	* erc.el (erc-send-command):
	* erc.el (erc-split-command):
	* erc.el (erc-send-ctcp-message):
	* erc.el (erc-send-ctcp-notice):
	* erc.el (erc-noncommands-list):
	* erc.el (erc-display-line-1):
	* erc.el (erc-scroll-to-bottom):
	* erc.el (erc-display-message-highlight):
	* erc.el (erc-display-message):
	* erc.el (erc-message-type-member):
	* erc.el (erc-send-input-line):
	* erc.el (erc-cmd-AMSG):
	* erc.el (erc-cmd-SAY):
	* erc.el (erc-cmd-SET):
	* erc.el (erc-cmd-default):
	* erc.el (erc-cmd-IGNORE):
	* erc.el (erc-cmd-OPS): New.
	* erc.el (erc-cmd-CTCP):
	* erc.el (erc-cmd-HELP):
	* erc.el (erc-cmd-JOIN):
	* erc.el (erc-channel-new-member-names):
	* erc.el (erc-cmd-KICK):
	* erc.el (erc-cmd-WHOIS):
	* erc.el (erc-cmd-IDLE): New.
	* erc.el (erc-cmd-ME):
	* erc.el (erc-cmd-LASTLOG):
	* erc.el (erc-send-message):
	* erc.el (erc-cmd-MSG):
	* erc.el (erc-cmd-SQUERY):
	* erc.el (erc-cmd-NICK):
	* erc.el (erc-cmd-QUOTE):
	* erc.el (erc-cmd-QUERY):
	* erc.el (erc-quit-reason-normal):
	* erc.el (erc-quit-reason-zippy):
	* erc.el (erc-quit-reason-various):
	* erc.el (erc-part-reason-normal):
	* erc.el (erc-part-reason-zippy):
	* erc.el (erc-part-reason-various):
	* erc.el (erc-kill-queries-on-quit):
	* erc.el (erc-cmd-GQUIT):
	* erc.el (erc-cmd-SV):
	* erc.el (erc-cmd-DEOP):
	* erc.el (erc-cmd-OP):
	* erc.el (erc-cmd-BANLIST):
	* erc.el (erc-cmd-MASSUNBAN):
	* erc.el (erc-prepend-properties):
	* erc.el (erc-strip-controls):
	* erc.el (erc-decode-controls):
	* erc.el (erc-interpret-controls):
	* erc.el (erc-merge-controls):
	* erc.el (erc-grab-region):
	* erc.el (erc-display-prompt):
	* erc.el (erc-interactive-input-map): Removed.
	* erc.el (erc-join-channel):
	* erc.el (erc-part-from-channel):
	* erc.el (erc-quit-server):
	* erc.el (erc-bol):
	* erc.el (erc-complete-word):
	* erc.el (erc-default-server-handler):
	* erc.el (erc-debug-missing-hooks):
	* erc.el (erc-call-hooks):
	* erc.el (erc-duplicate-timeout):
	* erc.el (erc-parse-line-from-server):
	* erc.el (erc-server-vectors):
	* erc.el (erc-query):
	* erc.el (erc-auto-query):
	* erc.el (erc-nickname-in-use):
	* erc.el (erc-server-hook-list):
	* erc.el (erc-server-JOIN):
	* erc.el (erc-server-MODE):
	* erc.el (erc-server-NICK):
	* erc.el (erc-server-PART):
	* erc.el (erc-server-PING):
	* erc.el (erc-server-PONG):
	* erc.el (erc-setup-periodical-server-ping):
	* erc.el (erc-server-PRIVMSG-or-NOTICE):
	* erc.el (erc-server-QUIT):
	* erc.el (erc-server-TOPIC):
	* erc.el (erc-server-005):
	* erc.el (erc-server-305):
	* erc.el (erc-server-306):
	* erc.el (erc-server-311-or-314):
	* erc.el (channel-banlist):
	* erc.el (erc-banlist-store):
	* erc.el (erc-banlist-finished):
	* erc.el (erc-banlist-update):
	* erc.el (erc-group-list):
	* erc.el (erc-handle-login):
	* erc.el (erc-server-MOTD):
	* erc.el (erc-connection-established):
	* erc.el (erc-set-initial-user-mode):
	* erc.el (erc-display-error-notice):
	* erc.el (erc-server-401):
	* erc.el (erc-server-403):
	* erc.el (erc-server-405):
	* erc.el (erc-server-406):
	* erc.el (erc-process-ctcp-query):
	* erc.el (erc-ctcp-query-ACTION):
	* erc.el (erc-ctcp-query-CLIENTINFO):
	* erc.el (erc-ctcp-query-ECHO):
	* erc.el (erc-ctcp-query-FINGER):
	* erc.el (erc-ctcp-query-PING):
	* erc.el (erc-ctcp-query-TIME):
	* erc.el (erc-ctcp-query-USERINFO):
	* erc.el (erc-ctcp-query-VERSION):
	* erc.el (erc-process-ctcp-reply):
	* erc.el (erc-ctcp-reply-ECHO):
	* erc.el (erc-ctcp-reply-CLIENTINFO):
	* erc.el (erc-ctcp-reply-FINGER):
	* erc.el (erc-ctcp-reply-PING):
	* erc.el (erc-ctcp-reply-TIME):
	* erc.el (erc-ctcp-reply-VERSION):
	* erc.el (erc-process-away):
	* erc.el (erc-channel-begin-receiving-names):
	* erc.el (erc-channel-end-receiving-names):
	* erc.el (erc-channel-receive-names):
	* erc.el (erc-update-current-channel-member):
	* erc.el (erc-update-channel-member):
	* erc.el (erc-get-current-channel-members):
	* erc.el (erc-get-channel-members):
	* erc.el (erc-remove-current-channel-member):
	* erc.el (erc-remove-channel-member):
	* erc.el (erc-update-channel-topic):
	* erc.el (erc-set-modes):
	* erc.el (erc-sort-strings):
	* erc.el (erc-parse-modes):
	* erc.el (erc-update-modes):
	* erc.el (erc-update-channel-limit):
	* erc.el (erc-find-channel-info-buffer):
	* erc.el (erc-update-channel-info-buffer):
	* erc.el (erc-remove-member-all-channels):
	* erc.el (erc-update-member-all-channels):
	* erc.el (erc-update-channel-info-buffers):
	* erc.el (erc-handle-user-status-change):
	* erc.el (erc-highlight-notice):
	* erc.el (erc-highlight-error):
	* erc.el (erc-parse-user):
	* erc.el (erc-extract-nick):
	* erc.el (erc-put-text-properties):
	* erc.el (erc-beg-of-input-line):
	* erc.el (erc-end-of-input-line):
	* erc.el (erc-send-distinguish-noncommands):
	* erc.el (erc-set-current-nick):
	* erc.el (erc-current-nick):
	* erc.el (erc-current-nick-p):
	* erc.el (erc-nick-equal-p):
	* erc.el (erc-default-target):
	* erc.el (erc-add-default-channel):
	* erc.el (erc-delete-default-channel):
	* erc.el (erc-add-query):
	* erc.el (erc-delete-query):
	* erc.el (erc-ignored-user-p):
	* erc.el (erc-ignored-reply-p):
	* erc.el (erc-message-target):
	* erc.el (erc-toggle-ctcp-autoresponse):
	* erc.el (erc-toggle-flood-control):
	* erc.el (erc-toggle-interpret-controls):
	* erc.el (erc-invite-only-mode):
	* erc.el (erc-toggle-channel-mode):
	* erc.el (erc-insert-mode-command):
	* erc.el (erc-channel-names):
	* erc.el (erc-find-file):
	* erc.el (erc-select-startup-file):
	* erc.el (erc-find-script-file):
	* erc.el (erc-load-script):
	* erc.el (erc-process-script-line):
	* erc.el (erc-load-irc-script):
	* erc.el (erc-load-irc-script-lines):
	* erc.el (erc-login):
	* erc.el (erc-determine-parameters):
	* erc.el (erc-compute-server):
	* erc.el (erc-compute-nick):
	* erc.el (erc-compute-full-name):
	* erc.el (erc-string-to-emacs-time):
	* erc.el (found): New.
	* erc.el (erc-emacs-time-to-erc-time):
	* erc.el (erc-current-time):
	* erc.el (erc-time-diff):
	* erc.el (erc-time-gt):
	* erc.el (erc-sec-to-time):
	* erc.el (erc-seconds-to-string): New.
	* erc.el (erc-clientinfo-alist):
	* erc.el (erc-client-info):
	* erc.el (erc-directory-writable-p):
	* erc.el (erc-kill-query-buffers):
	* erc.el (erc-nick-at-point):
	* erc.el (erc-operator-p):
	* erc.el (erc-away-p):
	* erc.el (erc-mode-line-format):
	* erc.el (erc-header-line-format):
	* erc.el (erc-common-server-suffixes):
	* erc.el (erc-shorten-server-name):
	* erc.el (erc-prepare-mode-line-format):
	* erc.el (erc-update-mode-line-buffer):
	* erc.el (erc-update-mode-line):
	* erc.el (erc-port-to-string):
	* erc.el (erc-string-to-port):
	* erc.el (erc-trim-string):
	* erc.el (erc-arrange-session-in-multiple-windows):
	* erc.el (erc-make-message-variable-name):
	* erc.el (erc-define-catalog-entry):
	* erc.el (erc-define-catalog):
	* erc.el (erc-message-english-PART):
	* erc.el (erc-retrieve-catalog-entry):
	* erc.el (erc-format-message):
	* erc.el (erc-make-read-only):
	* erc.el (erc-kill-buffer-hook):
	* erc.el (erc-unmorse):

2003-11-26  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 0.02 released.

	* Makefile (AUTHOR_VERSION): Remove leftover from a CVS Revision
	tag. 

2003-11-25  Adrian Aichner  <adrian@xemacs.org>

	* erc-log.el (erc-log-file-coding-system): Use 'binary
	coding-system under XEmacs (instead of 'emacs-mule).
	* erc-log.el (erc-w32-invalid-file-characters): Removed as no
	longer needed.
	* erc-log.el (erc-generate-log-file-name-long): Use
	`convert-standard-filename', which exists in XEmacs too.

2003-11-23  Adrian Aichner  <adrian@xemacs.org>

	* erc-button.el (erc-widget-press-button): New.  Fixes [ 843318 ]
        as suggested in
        http://gnufans.net/~deego/emacspub/site-lisp/ignotus-erc-init.el

2003-11-23  Adrian Aichner  <aichner@xemacs.org>

	* Create package.
